
ParticleDefinitions[GaugeES] = {
      {SdL,  {  Description -> "Left Down-Squarks"}},
      {SdR,  { Description -> "Right Down-Squarks"}},
      {SuL,  { Description -> "Left Up-Squarks"}}, 
      {SuR,  { Description -> "Right Up-Squarks" }},                
      {SeL,  { Description -> "Left Selectron"}}, 
      {SeR,  { Description -> "Right Selectron"}},                         
      {SvL,  { Description -> "Left Sneutrino"}},                         
      {SHd0, { Description -> "Neutral Down-Higgs"}},                         
      {SHdm, { Description -> "Charged Down-Higgs"}}, 
      {SHu0, { Description -> "Neutral Up-Higgs"}},                         
      {SHup, { Description -> "Charged Up-Higgs"}},                                                   
      {VB,   { Description -> "B-Boson"}},                                                   
      {VG,   { Description -> "Gluon"}},          
      {VWB,  { Description -> "W-Bosons"}},          
      {gB,   { Description -> "B-Boson Ghost"}},                                                   
      {gG,   { Description -> "Gluon Ghost" }},          
      {gWB,  { Description -> "W-Boson Ghost"}},    
      {Glu,  { Description -> "Gluino"}},
      {Wino, { Description -> "Wino"}},
      {Bino, { Description -> "Bino"}},                                                                                           
      {H0,   { Description -> "Neutral Higgsinos"}},
      {HC,   { Description -> "Charged Higgsinos"}},  

      {SsR,  { Description -> "Singlet"}},                     
      {FS,    { Description -> "Singlino" }},
      {Fd1,  { Description -> "Dirac Left Down-Quark"}},
      {Fd2,  { Description -> "Dirac Right Down-Quark"}},
      {Fu1,  { Description -> "Dirac Left Up-Quark"}},
      {Fu2,  { Description -> "Dirac Right Up-Quark"}},
      {Fe1,  { Description -> "Dirac Left Electron"}},
      {Fe2,  { Description -> "Dirac Right Electron"}},
      {Fv,   { Description -> "Neutrinos" }},

      {ST0b,  {    LaTeX -> "\\bar{T}^0",
               FeynArtsNr -> 30,
                   OutputName -> ST0b }},
      {STmm,  {    LaTeX -> "T^{--}",
               FeynArtsNr -> 31,
                   OutputName -> STmm}},
      {STm,  {    LaTeX -> "T^{-}",
               FeynArtsNr -> 32,
                   OutputName -> STm}},
      {ST0,  {    LaTeX -> "T^0",
               FeynArtsNr -> 33,
                   OutputName -> ST0}},
      {STpp,  {    LaTeX -> "T^{++}",
               FeynArtsNr -> 34,
                   OutputName -> STpp}},
      {STp,  {    LaTeX -> "T^{+}",
               FeynArtsNr -> 35,
                   OutputName -> STp}},
      {FT,   { LaTeX -> "T^0",
               FeynArtsNr -> 30,
               OutputName ->FT }},
      {FTC,   { LaTeX -> "T^-",
               FeynArtsNr -> 31,
               OutputName ->TC }},
      {FTCC,   { LaTeX -> "T^{--}",
               FeynArtsNr -> 32,
               OutputName ->TCC }}
      };
      
      
      
      
  ParticleDefinitions[EWSB] = {

     {Sd ,  { Description -> "Down-Squarks"}},
     {Su ,  { Description -> "Up-Squarks"}},   
     {Se ,  { Description -> "Sleptons"}}, 
     {Sv ,  { Description -> "Sneutrinos"}},                                 
     {hh   ,  {  Description -> "Higgs", 
                 PDG -> {25, 35,45,55,65},
                 PDG.IX -> {101000001,101000002,101000003,101000004,101000005 } }}, 
     {Ah   ,  {    Description -> "Pseudo-Scalar Higgs",
                 PDG -> {0, 36, 46,56,66},
                 PDG.IX -> {0,102000001,102000002,102000003,102000004 } }},                       
      {Hpm,  { Description -> "Charged Higgs",  
                 PDG -> {0, -37,-47,-57},
                 PDG.IX ->{0,-100000601,-100000602,-100000603 } }},    
      {Hmm,  {   PDG -> {67, 38},
                 PDG.IX -> {-100001201,-100001202},
                 Width -> {0, External}, 
                 Mass -> {0, LesHouches},
                 FeynArtsNr -> 8,
		 ElectricCharge -> -2,
                 LaTeX -> {"H^{--}","H^{++}"},
                 OutputName -> {"Hmm","Hpp"}  }},                                                                  
      {VP,   { Description -> "Photon"}}, 
      {VZ,   { Description -> "Z-Boson" }}, 
      {VG,   { Description -> "Gluon" }},          
      {VWm,  { Description -> "W-Boson",
	Mass -> Dependence,
	MassDependence -> (Mass[VZ]*Cos[ThetaW])^2+(vT*g2)^2 }},         
      {gP,   { Description -> "Photon Ghost"}},                                                   
      {gWm,  { Description -> "Negative W-Boson Ghost"}}, 
      {gWmC, { Description -> "Positive W-Boson Ghost" }}, 
      {gZ,   { Description -> "Z-Boson Ghost" }},  
      {gG,   { Description -> "Gluon Ghost" }},           
      {Fd,   { Description -> "Down-Quarks"}},   
      {Fu,   { Description -> "Up-Quarks"}},   
      {Fe,   { Description -> "Leptons" }},
      {Fv,   { Description -> "Neutrinos" }},                                                                     
      {Glu,  { Description -> "Gluino" }},
                 
      {Chi,    {   Description -> "Neutralinos",
                 PDG -> {1000022,1000023,1000025,1000035,1000045, 1000055,1000065},
                 PDG.IX -> {211000001,211000002,211000003,211000004,211000005,211000006,211000007 } }},
                 
      {Cha,  { Description -> "Charginos",
               PDG -> {1000024, 1000037,1000047},
               PDG.IX ->{210000601,210000602,210000603} }},

      {DCha, {   PDG -> {1000049},
                 PDG.IX ->{210001201},
                 Mass -> LesHouches,
                 FeynArtsNr -> 16,
		 ElectricCharge -> -2,
                 LaTeX -> {"\\tilde{\\chi}^{--}","\\tilde{\\chi}^{++}"},
                 OutputName -> "DC" }}                                                                                           
     
        };    
        
        
        
 WeylFermionAndIndermediate = {
       {FHd0, { Description -> "Neutral Down-Higgsino"}},      
       {FHu0, { Description -> "Neutral Up-Higgsino" }}, 
       {FHdm, { Description -> "Charged Down-Higgsino"}},                                                                                                             
       {FHup, { Description -> "Charged Up-Higgsino"}},
       {L0,   { Description -> "Neutralino Weyl-Spinor"}},
       {Lm,   { Description -> "Negative Chargino Weyl-Spinor"}},
       {Lp,   { Description -> "Positive Chargino Weyl-Spinor"}}, 
       {fG,   { Description ->"Gluino Weyl-Spinor"}},
       {fWB,  { Description ->"Wino Weyl-Spinor"}},
       {fW0,  { Description ->"Neutral Wino" }},
       {fWm,  { Description ->"Negative Wino"}},                 
       {fWp,  { Description ->"Positive Wino"}},                 
       {fB,   { Description ->"Bino Weyl-Spinor"}},    
       {phid, { Description -> "Scalar Down"}},                                                                       
       {phiu, { Description -> "Scalar Up"}}, 
       {sigmad,   { Description -> "Pseudo Scalar Down"}},                                                                                        
       {sigmau,   { Description -> "Pseudo Scalar Up" }},
       {SHd,  { Description -> "Down-Higgs"}},
       {SHu,  { Description -> "Up-Higgs"}},
       {Sl,   { Description -> "Left Slepton" }},
       {Sq,   { Description -> "Left Squark" }},
       {FeL,  { Description -> "Left Electron" }},
       {FeR,  { Description -> "Right Electron" }} ,
       {FdL,  { Description -> "Left Down-Quark" }},
       {FdR,  { Description -> "Right Down-Quark" }},              
       {FuL,  { Description -> "Left Up-Quark" }},
       {FuR,  { Description -> "Right Up-Quark" }},
       {FEL,  { Description -> "Rotated Left Electron" }},
       {FER,  { Description -> "Rotated Right Electron" }} ,
       {FDL,  { Description -> "Rotated Left Up-Quark" }},
       {FDR,  { Description -> "Rotated Right Up-Quark" }},              
       {FUL,  { Description -> "Rotated Left Down-Quark"}},
       {FUR,  { Description -> "Rotated Right Down-Quark" }},                
       {FHd,  { Description -> "Down-Higgsino" }},
       {FHu,  { Description -> "Up-Higgsino" }},
       {Fl,   { Description -> "Left Leptons"}},
       {Fq,   { Description -> "Left Quarks"}}, 
       {FsR,   { Description -> "Weyl Spinor of Singlino"}},
       {FvL,  { Description -> "Left Neutrino"}}, 
                 
 {sigmaS,      {Description -> "Scalar Singlet" }}  ,
                 
 {phiS,      { Description -> "Pseudo Scalar Singlet"}},


       {e,    { Description -> "Right Electron Superfield" }},
       {d,    { Description -> "Right Down-Quark Superfield" }},                 
       {q,    { Description -> "Left Quark Superfield" }},                 
       {u,    { Description -> "Right Up-Quark Superfield" }},                 
       {l,    { Description -> "left Lepton Superfield" }},  
       {Hd,   { Description -> "Down-Higgs Superfield"}},                                         
       {Hu,   { Description -> "Up-Higgs Superfield" }},                 
       {s,    { Description -> "Singlet Superfield" }}, 
       {G,    { Description -> "Gluon Superfield" }},                 
       {B,    { Description -> "B Superfield" }},                 
       {WB,   { Description -> "W Superfield" }},

       {t,    {    LaTeX -> "\\hat{T}" }},
       {tb,   {    LaTeX -> "\\hat{\\bar{T}}" }},
       {Ft,    {    LaTeX -> "T"}},
       {Ftb,   {    LaTeX -> "\\bar{T}"}},

       {phiT, { LaTeX -> "\\phi_T" }},
       {phiTb, { LaTeX -> "\\phi_{\\bar{T}}" }},
       {sigmaT, { LaTeX -> "\\sigma_T" }},
       {sigmaTb, { LaTeX -> "\\sigma_{\\bar{T}}" }},
      {FT0b,  {    LaTeX -> "\\tilde{\\bar{T}}^0",
                   OutputName -> T0b }},
      {FTmm,  {    LaTeX -> "\\tilde{T}^{--}",
                   OutputName -> Tmm}},
      {FTm,  {    LaTeX -> "\\tilde{T}^{-}",
                   OutputName -> Tm}},

      {FT0,  {    LaTeX -> "\\tilde{T}^0",
                   OutputName -> T0}},

      {FTpp,  {    LaTeX -> "\\tilde{T}^{++}",
                   OutputName -> Tpp}},

      {FTp,  {    LaTeX -> "\\tilde{T}^{+}",
                   OutputName -> Tp}}

   
      
        };       


