(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    375170,       9478]
NotebookOptionsPosition[    361706,       9079]
NotebookOutlinePosition[    362531,       9108]
CellTagsIndexPosition[    362397,       9102]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"<<", "sarah4/SARAH.m"}]], "Input",
 CellChangeTimes->{{3.7263763462909803`*^9, 3.726376348343761*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox[
    StyleBox["\<\"SARAH \"\>", "Section",
     FontSize->14],
    StyleForm[#, "Section", FontSize -> 14]& ], "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"(Private Version)\"\>", "Section",
     FontSize->14],
    StyleForm[#, "Section", FontSize -> 14]& ]}],
  SequenceForm[
   StyleForm["SARAH ", "Section", FontSize -> 14], 
   StyleForm["(Private Version)", "Section", FontSize -> 14]],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOgZrGVWe4E0AEVyx08=
  "]],

Cell[BoxData["\<\"by Florian Staub, 2017\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOholTKrvUAaAERjxzE=
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"contributions by M. D. Goodsell, K. Nickel\"\>",
   FontSize->10],
  StyleForm[#, FontSize -> 10]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOgkhzKrvUAaAEVfx1Q=
  "]],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOhj0WVWe4E0AEk8x9M=
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"References:\"\>", "Section",
   FontSize->10],
  StyleForm[#, "Section", FontSize -> 10]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgGjf8jKrvUAaAEY4x3Y=
  "]],

Cell[BoxData["\<\"  Comput.Phys.Commun.181 (2010) 1077-1086. \
(arXiv:0909.2863[hep-ph])\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOjzk8qs9gJpAEsFyBM=
  "]],

Cell[BoxData["\<\"  Comput.Phys.Commun.182 (2011) 808-833. \
(arXiv:1002.0840[hep-ph])\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOgvm8qs9gJpAE0NyFg=
  "]],

Cell[BoxData["\<\"  Comput.Phys.Commun.184 (2013) 1792-1809. \
(arXiv:1207.0906[hep-ph])\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOiS92VWe4E0AEq4yBU=
  "]],

Cell[BoxData["\<\"  Comput.Phys.Commun.185 (2014) 1773-1790. \
(arXiv:1309.7223[hep-ph])\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgGhm0XKrvUAaAEFAxss=
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Download and Documentation:\"\>", "Section",
   FontSize->10],
  StyleForm[#, "Section", FontSize -> 10]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOhok3KrvUAaAETZx0I=
  "]],

Cell[BoxData["\<\"  http://sarah.hepforge.org\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOjIgHKrvUAaAEWNx1w=
  "]],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOiV2eVWe4E0AEjKx8c=
  "]],

Cell[BoxData["\<\"Start evaluation of a model with:\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOgdreVWe4E0AEn4x/A=
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"   Start[\\\"Name of Model\\\"]\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOiFC8ut9gJpAEoEx/U=
  "]],

Cell[BoxData["\<\"e.g. Start[\\\"MSSM\\\"] or \
Start[\\\"NMSSM\\\",\\\"CKM\\\"]\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOisveVWe4E0AEkQx9o=
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"To get a list with all installed models, use \"\>", 
   "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"ShowModels\"\>", "Section",
     FontSize->12],
    StyleForm[#, "Section", FontSize -> 12]& ]}],
  SequenceForm["To get a list with all installed models, use ", 
   StyleForm["ShowModels", "Section", FontSize -> 12]],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQAWIrkemb6w+/dlTIPR3QCKQb8qNVmoD0r6dXAkH0Kbeo
He1AOsc2gqUDSGekLVoPopkl/uwE0RX3lConAekF04wngWi9tbOSJgPpLTcX
B6wE0jUuKkdA9AW+939B9IQyfd61QPr+2xgdEL329ZkYEB2Zs2YeiNb7vuTg
epB7nHuPgugs54tnQbTh5m2MG4A0hzlfFojOMTjHvRFI3zk7SRpEl4gGO4Ho
yPNORSC6gJtx4WYgnTJhxTIQ/eDzilUgejXbqscgWsR7DusWIN1Tqhm0E0gH
7EwsB9FT7ulOB9PyofNBNM//qztBdNLtvqcgOme6SetuIC0s1T0XRJs5vD0A
or9bX+TYA6TnaUjYgOhXN8ut9gJpAE3UyHY=
  "]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SARAH`Private", "=", "True"}]], "Input",
 CellChangeTimes->{{3.7264166635717297`*^9, 3.726416667300117*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.726416667834878*^9, 3.726461575224545*^9, 
  3.7264624987470016`*^9, 3.7264629613487587`*^9, 3.726469227472595*^9, 
  3.726469476939117*^9, 3.7264698639383802`*^9, 3.726470391016769*^9, 
  3.726474767039415*^9, 3.726474798868473*^9, 3.7264748635219707`*^9, 
  3.72647527890734*^9, 3.7264761138734283`*^9, 3.726477407294685*^9, 
  3.726477534275934*^9, 3.726477844546438*^9, 3.726478227681134*^9, 
  3.7264826979554577`*^9, 3.7264827420114202`*^9, 3.7264827749622707`*^9, 
  3.72648323139535*^9, 3.726483503903458*^9, 3.726494354695035*^9, 
  3.7264946520102797`*^9, 3.726494906167762*^9, 3.7264949714816437`*^9, 
  3.726495183529523*^9, 3.7264955332102823`*^9, 3.726498858683161*^9, 
  3.726499053256627*^9, 3.726499336427773*^9, 3.726499912056883*^9, 
  3.7265003214853287`*^9, 3.7265023567035427`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Start", "[", "\"\<G_GM\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.726376349014299*^9, 3.72637635426082*^9}, {
  3.726394766818589*^9, 3.72639477185874*^9}, {3.726394835788706*^9, 
  3.726394851834812*^9}, {3.726416670585814*^9, 3.72641667361497*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Preparing arrays\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502356749515*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\" ... checking Directory: \"\>", 
   "\[InvisibleSpace]", \
"\<\"/home/fnstaub/Documents/Uni/SARAH/sarah4/Private-Models/\"\>"}],
  SequenceForm[
  " ... checking Directory: ", 
   "/home/fnstaub/Documents/Uni/SARAH/sarah4/Private-Models/"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502356752041*^9}],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Model files loaded   \"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023569889183`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Model    : \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"GM\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["  Model    : ", 
   StyleForm["GM", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502356992568*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Author(s): \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"F.Staub\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["  Author(s): ", 
   StyleForm["F.Staub", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502356995899*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  Date     : \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"2016-01-19\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["  Date     : ", 
   StyleForm["2016-01-19", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502356999202*^9}],

Cell[BoxData["\<\"******************************************************* \
\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.72650235700241*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Loading \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"Susyno\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ], 
   "\[InvisibleSpace]", "\<\" functions for the handling of Lie Groups \"\>"}],
  SequenceForm["Loading ", 
   StyleForm["Susyno", "Section", FontSize -> 10], 
   " functions for the handling of Lie Groups "],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023570062227`*^9}],

Cell[BoxData["\<\"Based on Susyno v.2.0 by Renato Fonseca (1106.5016)\"\>"], \
"Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.72650235700959*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"webpage: \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"web.ist.utl.pt/renato.fonseca/susyno.html\"\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["webpage: ", 
   StyleForm[
   "web.ist.utl.pt/renato.fonseca/susyno.html", "Section", FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357012973*^9}],

Cell[BoxData["\<\"******************************************************* \
\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357016142*^9}],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Initialization\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023570196333`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Checking model files: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCheckModelFiles, StandardForm],
    ImageSizeCache->{117., {3., 10.}}]}],
  SequenceForm["Checking model files: ", 
   Dynamic[SARAH`DynamicCheckModelFiles]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357023283*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initialize gauge groups: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicInitGaugeG, StandardForm],
    ImageSizeCache->{68., {0., 10.}}]}],
  SequenceForm["Initialize gauge groups: ", 
   Dynamic[SARAH`DynamicInitGaugeG]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357026947*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initialize field: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicInitFields, StandardForm],
    ImageSizeCache->{68., {0., 10.}}]}],
  SequenceForm["Initialize field: ", 
   Dynamic[SARAH`DynamicInitFields]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357030587*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Preprocessing necessary information: \"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicInitMisc, StandardForm],
    ImageSizeCache->{68., {0., 10.}}]}],
  SequenceForm["Preprocessing necessary information: ", 
   Dynamic[SARAH`DynamicInitMisc]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357034298*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Checking for anomalies: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCheckAnomalies, StandardForm],
    ImageSizeCache->{1093., {3., 10.}}]}],
  SequenceForm["Checking for anomalies: ", 
   Dynamic[SARAH`DynamicCheckAnomalies]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.72650235727487*^9}],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Derive Lagrangian\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023572785587`*^9}],

Cell[BoxData["\<\"Calculate kinetic Terms\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357281906*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... for scalars: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticScalarNr, StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "8", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticScalarName, StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... for scalars: ", 
   Dynamic[SARAH`DynamicKineticScalarNr], "/", 8, " (", 
   Dynamic[SARAH`DynamicKineticScalarName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357286281*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... for fermions: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticFermionNr, StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "8", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicKineticFermionName, StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... for fermions: ", 
   Dynamic[SARAH`DynamicKineticFermionNr], "/", 8, " (", 
   Dynamic[SARAH`DynamicKineticFermionName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357546012*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate vector self-interactions: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicVectorNr, StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicVectorName, StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate vector self-interactions: ", 
   Dynamic[SARAH`DynamicVectorNr], "/", 3, " (", 
   Dynamic[SARAH`DynamicVectorName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023575501633`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calculate gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicGaugeTNr, StandardForm],
    ImageSizeCache->{16., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "11", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicGaugeTName, StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calculate gauge transformations: ", 
   Dynamic[SARAH`DynamicGaugeTNr], "/", 11, " (", 
   Dynamic[SARAH`DynamicGaugeTName], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357554384*^9}],

Cell[BoxData["\<\"Eleminate sums\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357728072*^9}],

Cell[BoxData["\<\"Calc Complete Lagrangian\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357735318*^9}],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357738758*^9}],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Evolve States: GaugeES\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.72650235774216*^9}],

Cell[BoxData["\<\"Adding terms to the Lagrangian: \"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357746364*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\" ... adding: \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{"Yu", " ", 
     RowBox[{"H", ".", "u", ".", "q"}]}], "-", 
    RowBox[{"Yd", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H", "]"}], ".", "d", ".", "q"}]}], "-", 
    RowBox[{"Ye", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H", "]"}], ".", "e", ".", "l"}]}], "-", 
    RowBox[{"mu3", " ", 
     RowBox[{"Delta", "[", 
      RowBox[{"lef1", ",", "lef2"}], "]"}], " ", 
     RowBox[{"Delta", "[", 
      RowBox[{"lef1b", ",", "lef3b"}], "]"}], " ", 
     RowBox[{"Delta", "[", 
      RowBox[{"lef2b", ",", "lef3"}], "]"}], " ", 
     RowBox[{
      RowBox[{"conj", "[", "xi", "]"}], ".", "xi", ".", "eta"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", "sig4", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H", "]"}], ".", "xi", ".", "eta", ".", 
      RowBox[{"conj", "[", "H", "]"}]}]}], "+", 
    RowBox[{"mu2", " ", 
     RowBox[{"Delta", "[", 
      RowBox[{"lef2b", ",", "lef3"}], "]"}], " ", 
     RowBox[{"H", ".", 
      RowBox[{"conj", "[", "xi", "]"}], ".", "H"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1", ",", "lef2"}], "]"}]}]}], 
   "\[InvisibleSpace]", "\<\" (\"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicStatusAddTerms[
     SARAH`Yu Dot[$CellContext`H, $CellContext`u, SARAH`q] - SARAH`Yd Dot[
        Susyno`LieGroups`conj[$CellContext`H], SARAH`d, SARAH`q] - SARAH`Ye 
      Dot[
        Susyno`LieGroups`conj[$CellContext`H], Susyno`LieGroups`e, 
        SARAH`l] - $CellContext`mu3 
      SARAH`Delta[$CellContext`lef1, $CellContext`lef2] 
      SARAH`Delta[$CellContext`lef1b, $CellContext`lef3b] 
      SARAH`Delta[$CellContext`lef2b, $CellContext`lef3] Dot[
        Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, SARAH`eta] + 
      Rational[-1, 2] $CellContext`sig4 Dot[
         Susyno`LieGroups`conj[$CellContext`H], SARAH`xi, SARAH`eta, 
         Susyno`LieGroups`conj[$CellContext`H]] + $CellContext`mu2 
       SARAH`Delta[$CellContext`lef2b, $CellContext`lef3] 
       Dot[$CellContext`H, 
         Susyno`LieGroups`conj[SARAH`xi], $CellContext`H] 
       SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2]], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm[
  " ... adding: ", SARAH`Yu Dot[$CellContext`H, $CellContext`u, SARAH`q] - 
   SARAH`Yd Dot[
     Susyno`LieGroups`conj[$CellContext`H], SARAH`d, SARAH`q] - SARAH`Ye Dot[
     Susyno`LieGroups`conj[$CellContext`H], Susyno`LieGroups`e, 
     SARAH`l] - $CellContext`mu3 
   SARAH`Delta[$CellContext`lef1, $CellContext`lef2] 
   SARAH`Delta[$CellContext`lef1b, $CellContext`lef3b] 
   SARAH`Delta[$CellContext`lef2b, $CellContext`lef3] Dot[
     Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, SARAH`eta] + 
   Rational[-1, 2] $CellContext`sig4 Dot[
      Susyno`LieGroups`conj[$CellContext`H], SARAH`xi, SARAH`eta, 
      Susyno`LieGroups`conj[$CellContext`H]] + $CellContext`mu2 
    SARAH`Delta[$CellContext`lef2b, $CellContext`lef3] Dot[$CellContext`H, 
      Susyno`LieGroups`conj[SARAH`xi], $CellContext`H] 
    SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2], " (", 
   Dynamic[
    SARAH`DynamicStatusAddTerms[
    SARAH`Yu Dot[$CellContext`H, $CellContext`u, SARAH`q] - SARAH`Yd Dot[
       Susyno`LieGroups`conj[$CellContext`H], SARAH`d, SARAH`q] - SARAH`Ye Dot[
       Susyno`LieGroups`conj[$CellContext`H], Susyno`LieGroups`e, 
       SARAH`l] - $CellContext`mu3 
     SARAH`Delta[$CellContext`lef1, $CellContext`lef2] 
     SARAH`Delta[$CellContext`lef1b, $CellContext`lef3b] 
     SARAH`Delta[$CellContext`lef2b, $CellContext`lef3] Dot[
       Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, SARAH`eta] + 
     Rational[-1, 2] $CellContext`sig4 Dot[
        Susyno`LieGroups`conj[$CellContext`H], SARAH`xi, SARAH`eta, 
        Susyno`LieGroups`conj[$CellContext`H]] + $CellContext`mu2 
      SARAH`Delta[$CellContext`lef2b, $CellContext`lef3] Dot[$CellContext`H, 
        Susyno`LieGroups`conj[SARAH`xi], $CellContext`H] 
      SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357751734*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\" ... adding: \"\>", "\[InvisibleSpace]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "2"]}], " ", "mE2", " ", 
     RowBox[{
      RowBox[{"conj", "[", "eta", "]"}], ".", "eta"}]}], "-", 
    RowBox[{"mH2", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H", "]"}], ".", "H"}]}], "-", 
    RowBox[{"mX2", " ", 
     RowBox[{
      RowBox[{"conj", "[", "xi", "]"}], ".", "xi"}]}], "-", 
    RowBox[{"mu1", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H", "]"}], ".", "eta", ".", "H"}]}], "-", 
    RowBox[{
     FractionBox["1", "4"], " ", "rho3", " ", 
     RowBox[{"eta", ".", "eta", ".", "eta", ".", "eta"}]}], "-", 
    RowBox[{"Lambda1", " ", 
     RowBox[{
      RowBox[{"conj", "[", "H", "]"}], ".", "H", ".", 
      RowBox[{"conj", "[", "H", "]"}], ".", "H"}]}], "-", 
    RowBox[{"sig3", " ", 
     RowBox[{"Delta", "[", 
      RowBox[{"lef3", ",", "lef4"}], "]"}], " ", 
     RowBox[{"eta", ".", "eta", ".", 
      RowBox[{"conj", "[", "H", "]"}], ".", "H"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"le1b", ",", "lef2"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1", ",", "lef2b"}], "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", "sig2", " ", 
     RowBox[{"Delta", "[", 
      RowBox[{"lef3", ",", "lef4"}], "]"}], " ", 
     RowBox[{
      RowBox[{"conj", "[", "H", "]"}], ".", "xi", ".", 
      RowBox[{"conj", "[", "xi", "]"}], ".", "H"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"le1b", ",", "lef2"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1", ",", "lef2b"}], "]"}]}], "-", 
    RowBox[{"sig1", " ", 
     RowBox[{"Delta", "[", 
      RowBox[{"lef3", ",", "lef4"}], "]"}], " ", 
     RowBox[{
      RowBox[{"conj", "[", "xi", "]"}], ".", "xi", ".", 
      RowBox[{"conj", "[", "H", "]"}], ".", "H"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"le1b", ",", "lef2"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1", ",", "lef2b"}], "]"}]}], "-", 
    RowBox[{"rho2", " ", 
     RowBox[{
      RowBox[{"conj", "[", "xi", "]"}], ".", "xi", ".", 
      RowBox[{"conj", "[", "xi", "]"}], ".", "xi"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1", ",", "lef4b"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1b", ",", "lef2"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef2b", ",", "lef3"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef3b", ",", "lef4"}], "]"}]}], "-", 
    RowBox[{"rho5", " ", 
     RowBox[{
      RowBox[{"conj", "[", "xi", "]"}], ".", "eta", ".", "xi", ".", "eta"}], 
     " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1", ",", "lef2b"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1b", ",", "lef2"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef3", ",", "lef4b"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef3b", ",", "lef4"}], "]"}]}], "-", 
    RowBox[{"rho4", " ", 
     RowBox[{
      RowBox[{"conj", "[", "xi", "]"}], ".", "xi", ".", "eta", ".", "eta"}], 
     " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1", ",", "lef2b"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1b", ",", "lef2"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef3", ",", "lef4b"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef3b", ",", "lef4"}], "]"}]}], "-", 
    RowBox[{"rho1", " ", 
     RowBox[{
      RowBox[{"conj", "[", "xi", "]"}], ".", "xi", ".", 
      RowBox[{"conj", "[", "xi", "]"}], ".", "xi"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1", ",", "lef2b"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef1b", ",", "lef2"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef3", ",", "lef4b"}], "]"}], " ", 
     RowBox[{"epsTensor", "[", 
      RowBox[{"lef3b", ",", "lef4"}], "]"}]}]}], 
   "\[InvisibleSpace]", "\<\" (\"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicStatusAddTerms[Rational[-1, 2] $CellContext`mE2 Dot[
         Susyno`LieGroups`conj[SARAH`eta], SARAH`eta] - $CellContext`mH2 Dot[
        Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] - \
$CellContext`mX2 Dot[
        Susyno`LieGroups`conj[SARAH`xi], SARAH`xi] - $CellContext`mu1 Dot[
        Susyno`LieGroups`conj[$CellContext`H], SARAH`eta, $CellContext`H] + 
      Rational[-1, 4] $CellContext`rho3 
       Dot[SARAH`eta, SARAH`eta, SARAH`eta, SARAH`eta] - $CellContext`Lambda1 
      Dot[
        Susyno`LieGroups`conj[$CellContext`H], $CellContext`H, 
        Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] - \
$CellContext`sig3 SARAH`Delta[$CellContext`lef3, $CellContext`lef4] 
      Dot[SARAH`eta, SARAH`eta, 
        Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] 
      SARAH`epsTensor[$CellContext`le1b, $CellContext`lef2] 
      SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] + 
      Rational[-1, 2] $CellContext`sig2 
       SARAH`Delta[$CellContext`lef3, $CellContext`lef4] Dot[
         Susyno`LieGroups`conj[$CellContext`H], SARAH`xi, 
         Susyno`LieGroups`conj[SARAH`xi], $CellContext`H] 
       SARAH`epsTensor[$CellContext`le1b, $CellContext`lef2] 
       SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] - \
$CellContext`sig1 SARAH`Delta[$CellContext`lef3, $CellContext`lef4] Dot[
        Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, 
        Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] 
      SARAH`epsTensor[$CellContext`le1b, $CellContext`lef2] 
      SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] - \
$CellContext`rho2 Dot[
        Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, 
        Susyno`LieGroups`conj[SARAH`xi], SARAH`xi] 
      SARAH`epsTensor[$CellContext`lef1, $CellContext`lef4b] 
      SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
      SARAH`epsTensor[$CellContext`lef2b, $CellContext`lef3] 
      SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4] - \
$CellContext`rho5 Dot[
        Susyno`LieGroups`conj[SARAH`xi], SARAH`eta, SARAH`xi, SARAH`eta] 
      SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] 
      SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
      SARAH`epsTensor[$CellContext`lef3, $CellContext`lef4b] 
      SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4] - \
$CellContext`rho4 Dot[
        Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, SARAH`eta, SARAH`eta] 
      SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] 
      SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
      SARAH`epsTensor[$CellContext`lef3, $CellContext`lef4b] 
      SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4] - \
$CellContext`rho1 Dot[
        Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, 
        Susyno`LieGroups`conj[SARAH`xi], SARAH`xi] 
      SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] 
      SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
      SARAH`epsTensor[$CellContext`lef3, $CellContext`lef4b] 
      SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4]], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm[" ... adding: ", Rational[-1, 2] $CellContext`mE2 Dot[
      Susyno`LieGroups`conj[SARAH`eta], SARAH`eta] - $CellContext`mH2 Dot[
     Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] - \
$CellContext`mX2 Dot[
     Susyno`LieGroups`conj[SARAH`xi], SARAH`xi] - $CellContext`mu1 Dot[
     Susyno`LieGroups`conj[$CellContext`H], SARAH`eta, $CellContext`H] + 
   Rational[-1, 4] $CellContext`rho3 
    Dot[SARAH`eta, SARAH`eta, SARAH`eta, SARAH`eta] - $CellContext`Lambda1 Dot[
     Susyno`LieGroups`conj[$CellContext`H], $CellContext`H, 
     Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] - \
$CellContext`sig3 SARAH`Delta[$CellContext`lef3, $CellContext`lef4] 
   Dot[SARAH`eta, SARAH`eta, 
     Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] 
   SARAH`epsTensor[$CellContext`le1b, $CellContext`lef2] 
   SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] + 
   Rational[-1, 2] $CellContext`sig2 
    SARAH`Delta[$CellContext`lef3, $CellContext`lef4] Dot[
      Susyno`LieGroups`conj[$CellContext`H], SARAH`xi, 
      Susyno`LieGroups`conj[SARAH`xi], $CellContext`H] 
    SARAH`epsTensor[$CellContext`le1b, $CellContext`lef2] 
    SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] - \
$CellContext`sig1 SARAH`Delta[$CellContext`lef3, $CellContext`lef4] Dot[
     Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, 
     Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] 
   SARAH`epsTensor[$CellContext`le1b, $CellContext`lef2] 
   SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] - $CellContext`rho2 
   Dot[
     Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, 
     Susyno`LieGroups`conj[SARAH`xi], SARAH`xi] 
   SARAH`epsTensor[$CellContext`lef1, $CellContext`lef4b] 
   SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
   SARAH`epsTensor[$CellContext`lef2b, $CellContext`lef3] 
   SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4] - $CellContext`rho5 
   Dot[
     Susyno`LieGroups`conj[SARAH`xi], SARAH`eta, SARAH`xi, SARAH`eta] 
   SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] 
   SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
   SARAH`epsTensor[$CellContext`lef3, $CellContext`lef4b] 
   SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4] - $CellContext`rho4 
   Dot[
     Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, SARAH`eta, SARAH`eta] 
   SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] 
   SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
   SARAH`epsTensor[$CellContext`lef3, $CellContext`lef4b] 
   SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4] - $CellContext`rho1 
   Dot[
     Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, 
     Susyno`LieGroups`conj[SARAH`xi], SARAH`xi] 
   SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] 
   SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
   SARAH`epsTensor[$CellContext`lef3, $CellContext`lef4b] 
   SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4], " (", 
   Dynamic[
    SARAH`DynamicStatusAddTerms[Rational[-1, 2] $CellContext`mE2 Dot[
        Susyno`LieGroups`conj[SARAH`eta], SARAH`eta] - $CellContext`mH2 Dot[
       Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] - \
$CellContext`mX2 Dot[
       Susyno`LieGroups`conj[SARAH`xi], SARAH`xi] - $CellContext`mu1 Dot[
       Susyno`LieGroups`conj[$CellContext`H], SARAH`eta, $CellContext`H] + 
     Rational[-1, 4] $CellContext`rho3 
      Dot[SARAH`eta, SARAH`eta, SARAH`eta, SARAH`eta] - $CellContext`Lambda1 
     Dot[
       Susyno`LieGroups`conj[$CellContext`H], $CellContext`H, 
       Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] - \
$CellContext`sig3 SARAH`Delta[$CellContext`lef3, $CellContext`lef4] 
     Dot[SARAH`eta, SARAH`eta, 
       Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] 
     SARAH`epsTensor[$CellContext`le1b, $CellContext`lef2] 
     SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] + 
     Rational[-1, 2] $CellContext`sig2 
      SARAH`Delta[$CellContext`lef3, $CellContext`lef4] Dot[
        Susyno`LieGroups`conj[$CellContext`H], SARAH`xi, 
        Susyno`LieGroups`conj[SARAH`xi], $CellContext`H] 
      SARAH`epsTensor[$CellContext`le1b, $CellContext`lef2] 
      SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] - \
$CellContext`sig1 SARAH`Delta[$CellContext`lef3, $CellContext`lef4] Dot[
       Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, 
       Susyno`LieGroups`conj[$CellContext`H], $CellContext`H] 
     SARAH`epsTensor[$CellContext`le1b, $CellContext`lef2] 
     SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] - \
$CellContext`rho2 Dot[
       Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, 
       Susyno`LieGroups`conj[SARAH`xi], SARAH`xi] 
     SARAH`epsTensor[$CellContext`lef1, $CellContext`lef4b] 
     SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
     SARAH`epsTensor[$CellContext`lef2b, $CellContext`lef3] 
     SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4] - \
$CellContext`rho5 Dot[
       Susyno`LieGroups`conj[SARAH`xi], SARAH`eta, SARAH`xi, SARAH`eta] 
     SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] 
     SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
     SARAH`epsTensor[$CellContext`lef3, $CellContext`lef4b] 
     SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4] - \
$CellContext`rho4 Dot[
       Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, SARAH`eta, SARAH`eta] 
     SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] 
     SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
     SARAH`epsTensor[$CellContext`lef3, $CellContext`lef4b] 
     SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4] - \
$CellContext`rho1 Dot[
       Susyno`LieGroups`conj[SARAH`xi], SARAH`xi, 
       Susyno`LieGroups`conj[SARAH`xi], SARAH`xi] 
     SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2b] 
     SARAH`epsTensor[$CellContext`lef1b, $CellContext`lef2] 
     SARAH`epsTensor[$CellContext`lef3, $CellContext`lef4b] 
     SARAH`epsTensor[$CellContext`lef3b, $CellContext`lef4]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502357949336*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rotate Lagrangian: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicRotateLag[1], StandardForm],
    ImageSizeCache->{17., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "14"}],
  SequenceForm["Rotate Lagrangian: ", 
   Dynamic[
    SARAH`DynamicRotateLag[1]], "/", 14],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502358348096*^9}],

Cell[BoxData["\<\"Derive ghost terms: \"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023583505583`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... generate gauge fixing terms: \"\>", "\[InvisibleSpace]", 
   
   DynamicBox[ToBoxes[
     SARAH`DynamicGFnr[SARAH`GaugeES], StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicGFname[SARAH`GaugeES], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... generate gauge fixing terms: ", 
   Dynamic[
    SARAH`DynamicGFnr[SARAH`GaugeES]], "/", 3, " (", 
   Dynamic[
    SARAH`DynamicGFname[SARAH`GaugeES]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023583525887`*^9}],

Cell[BoxData["\<\"  ... calculate Ghost interactions\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502358355425*^9}],

Cell[BoxData["\<\"Calc Mixings of Matter Fields\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502358357506*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Save information (\"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicSaveInfo[SARAH`GaugeES], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Save information (", 
   Dynamic[
    SARAH`DynamicSaveInfo[SARAH`GaugeES]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502358625836*^9}],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502358628668*^9}],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Evolve States: EWSB\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023586307287`*^9}],

Cell[BoxData["\<\"Parametrize Higgs Sector\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502358632757*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Update gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGT[
      SARAH`UGTvev[2]], StandardForm],
    ImageSizeCache->{17., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "25", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGTname[
      SARAH`UGTvev[2]], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Update gauge transformations: ", 
   Dynamic[
    SARAH`DynamicUGT[
     SARAH`UGTvev[2]]], "/", 25, " (", 
   Dynamic[
    SARAH`DynamicUGTname[
     SARAH`UGTvev[2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502358634983*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Calc mass matrices gauge sector: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicMMgaugeNr[SARAH`EWSB], StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "2", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicMMgaugeName[SARAH`EWSB], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Calc mass matrices gauge sector: ", 
   Dynamic[
    SARAH`DynamicMMgaugeNr[SARAH`EWSB]], "/", 2, "(", 
   Dynamic[
    SARAH`DynamicMMgaugeName[SARAH`EWSB]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502358637995*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Update gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGT[
      SARAH`UGTgaugeMM[2]], StandardForm],
    ImageSizeCache->{17., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "32", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGTname[
      SARAH`UGTgaugeMM[2]], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Update gauge transformations: ", 
   Dynamic[
    SARAH`DynamicUGT[
     SARAH`UGTgaugeMM[2]]], "/", 32, " (", 
   Dynamic[
    SARAH`DynamicUGTname[
     SARAH`UGTgaugeMM[2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502358960491*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Rotate Lagrangian: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicRotateLag[2], StandardForm],
    ImageSizeCache->{17., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "14"}],
  SequenceForm["Rotate Lagrangian: ", 
   Dynamic[
    SARAH`DynamicRotateLag[2]], "/", 14],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023589678993`*^9}],

Cell[BoxData["\<\"Derive ghost terms: \"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502359327218*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  ... generate gauge fixing terms: \"\>", "\[InvisibleSpace]", 
   
   DynamicBox[ToBoxes[
     SARAH`DynamicGFnr[SARAH`EWSB], StandardForm],
    ImageSizeCache->{10., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "4", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicGFname[SARAH`EWSB], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["  ... generate gauge fixing terms: ", 
   Dynamic[
    SARAH`DynamicGFnr[SARAH`EWSB]], "/", 4, " (", 
   Dynamic[
    SARAH`DynamicGFname[SARAH`EWSB]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.72650235933471*^9}],

Cell[BoxData["\<\"  ... calculate Ghost interactions\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.72650236068795*^9}],

Cell[BoxData["\<\"Calc Mixings of Matter Fields\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502360912345*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculate mass matrices \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicNrMass[{{{$CellContext`phiH, $CellContext`phiEta, \
$CellContext`phiXi}, {$CellContext`phiH, $CellContext`phiEta, \
$CellContext`phiXi}}, {{$CellContext`sigmaH, $CellContext`sigmaXi}, \
{$CellContext`sigmaH, $CellContext`sigmaXi}}, {{$CellContext`Hp, 
         Susyno`LieGroups`conj[$CellContext`etaM], 
         Susyno`LieGroups`conj[$CellContext`xiM]}, {
         Susyno`LieGroups`conj[$CellContext`Hp], $CellContext`etaM, \
$CellContext`xiM}}, {{$CellContext`dL}, {
         Susyno`LieGroups`conj[$CellContext`dR]}}, {{$CellContext`uL}, {
         Susyno`LieGroups`conj[$CellContext`uR]}}, {{$CellContext`eL}, {
         Susyno`LieGroups`conj[$CellContext`eR]}}}], StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "6", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicNameMass[{{{$CellContext`phiH, $CellContext`phiEta, \
$CellContext`phiXi}, {$CellContext`phiH, $CellContext`phiEta, \
$CellContext`phiXi}}, {{$CellContext`sigmaH, $CellContext`sigmaXi}, \
{$CellContext`sigmaH, $CellContext`sigmaXi}}, {{$CellContext`Hp, 
         Susyno`LieGroups`conj[$CellContext`etaM], 
         Susyno`LieGroups`conj[$CellContext`xiM]}, {
         Susyno`LieGroups`conj[$CellContext`Hp], $CellContext`etaM, \
$CellContext`xiM}}, {{$CellContext`dL}, {
         Susyno`LieGroups`conj[$CellContext`dR]}}, {{$CellContext`uL}, {
         Susyno`LieGroups`conj[$CellContext`uR]}}, {{$CellContext`eL}, {
         Susyno`LieGroups`conj[$CellContext`eR]}}}], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculate mass matrices ", 
   Dynamic[
    SARAH`DynamicNrMass[{{{$CellContext`phiH, $CellContext`phiEta, \
$CellContext`phiXi}, {$CellContext`phiH, $CellContext`phiEta, \
$CellContext`phiXi}}, {{$CellContext`sigmaH, $CellContext`sigmaXi}, \
{$CellContext`sigmaH, $CellContext`sigmaXi}}, {{$CellContext`Hp, 
        Susyno`LieGroups`conj[$CellContext`etaM], 
        Susyno`LieGroups`conj[$CellContext`xiM]}, {
        Susyno`LieGroups`conj[$CellContext`Hp], $CellContext`etaM, \
$CellContext`xiM}}, {{$CellContext`dL}, {
        Susyno`LieGroups`conj[$CellContext`dR]}}, {{$CellContext`uL}, {
        Susyno`LieGroups`conj[$CellContext`uR]}}, {{$CellContext`eL}, {
        Susyno`LieGroups`conj[$CellContext`eR]}}}]], "/", 6, " (", 
   Dynamic[
    SARAH`DynamicNameMass[{{{$CellContext`phiH, $CellContext`phiEta, \
$CellContext`phiXi}, {$CellContext`phiH, $CellContext`phiEta, \
$CellContext`phiXi}}, {{$CellContext`sigmaH, $CellContext`sigmaXi}, \
{$CellContext`sigmaH, $CellContext`sigmaXi}}, {{$CellContext`Hp, 
        Susyno`LieGroups`conj[$CellContext`etaM], 
        Susyno`LieGroups`conj[$CellContext`xiM]}, {
        Susyno`LieGroups`conj[$CellContext`Hp], $CellContext`etaM, \
$CellContext`xiM}}, {{$CellContext`dL}, {
        Susyno`LieGroups`conj[$CellContext`dR]}}, {{$CellContext`uL}, {
        Susyno`LieGroups`conj[$CellContext`uR]}}, {{$CellContext`eL}, {
        Susyno`LieGroups`conj[$CellContext`eR]}}}]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023609188147`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Update gauge transformations: \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGT[
      SARAH`UGTmatterMM[2]], StandardForm],
    ImageSizeCache->{17., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "37", "\[InvisibleSpace]", "\<\" (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicUGTname[
      SARAH`UGTmatterMM[2]], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Update gauge transformations: ", 
   Dynamic[
    SARAH`DynamicUGT[
     SARAH`UGTmatterMM[2]]], "/", 37, " (", 
   Dynamic[
    SARAH`DynamicUGTname[
     SARAH`UGTmatterMM[2]]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023628712187`*^9}],

Cell[BoxData["\<\"Calculate Tadpole Equations\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502363198126*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Save information (\"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicSaveInfo[SARAH`EWSB], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["Save information (", 
   Dynamic[
    SARAH`DynamicSaveInfo[SARAH`EWSB]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502364260157*^9}],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502366071486*^9}],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Finishing\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502366077787*^9}],

Cell[BoxData["\<\"Calculate final Lagrangian\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.72650236608007*^9}],

Cell[BoxData["\<\"Cleaning up\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502366082308*^9}],

Cell[BoxData["\<\"   ... add matrix products\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023660844707`*^9}],

Cell[BoxData["\<\"   ... checking for massless particles\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502366086628*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... calculating tree level masses (\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[SARAH`DynamicCalcTreeMasses, StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   ... calculating tree level masses (", 
   Dynamic[SARAH`DynamicCalcTreeMasses], ")"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502367447644*^9}],

Cell[BoxData["\<\"   ... simplify mass matrices\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502367615458*^9}],

Cell[BoxData["\<\"Numerical calculations (if necessary)\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.72650236762152*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   ... checking for spectrum file: \"\>", "\[InvisibleSpace]", 
   
   DynamicBox[ToBoxes[SARAH`DynamicSpectrumFileInput, StandardForm],
    ImageSizeCache->{200., {3., 10.}}]}],
  SequenceForm["   ... checking for spectrum file: ", 
   Dynamic[SARAH`DynamicSpectrumFileInput]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023676247396`*^9}],

Cell[BoxData["\<\"   ... reading parameter values and dependences\"\>"], \
"Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502367627033*^9}],

Cell[BoxData["\<\"   ... calculate mixing matrices\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502367629117*^9}],

Cell[BoxData["\<\"Checking for CP even and odd scalars\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502367631172*^9}],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023676331263`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"All Done. \"\>", "\[InvisibleSpace]", "\<\"G_GM\"\>", 
   "\[InvisibleSpace]", "\<\" is ready!\"\>"}],
  SequenceForm["All Done. ", "G_GM", " is ready!"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502367635229*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"(Model initialized in \"\>", "\[InvisibleSpace]", "10.9`", 
   "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm["(Model initialized in ", 10.9, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023676381607`*^9}],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.7265023676414843`*^9}],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502367646305*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Are you unfamiliar with SARAH? Use \"\>", "\[InvisibleSpace]", 
   
   TagBox[
    StyleBox["\<\"SARAH`FirstSteps\"\>", "Section",
     FontSize->12],
    StyleForm[#, "Section", FontSize -> 12]& ]}],
  SequenceForm["Are you unfamiliar with SARAH? Use ", 
   StyleForm["SARAH`FirstSteps", "Section", FontSize -> 12]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.726376354555594*^9, 3.726379655777458*^9, 3.7263813483634853`*^9, 
   3.726381711305379*^9, 3.726392772508833*^9, 3.726393379755023*^9, 
   3.726394772191719*^9, {3.726394838698031*^9, 3.726394852791931*^9}, 
   3.7264147945194283`*^9, 3.726414995200222*^9, 3.726416674098886*^9, 
   3.7264615759886503`*^9, 3.726462499587447*^9, 3.7264629622409983`*^9, 
   3.7264692284754953`*^9, 3.726469477601297*^9, 3.726469864126965*^9, 
   3.72647039122188*^9, 3.7264747680105543`*^9, 3.726474799762457*^9, 
   3.726474864391927*^9, 3.726475279709553*^9, 3.72647611484274*^9, 
   3.7264774080955143`*^9, 3.72647753483388*^9, 3.726477845677618*^9, 
   3.726478227943678*^9, 3.726482699127308*^9, 3.726482742632066*^9, 
   3.7264827752834253`*^9, 3.726483231922009*^9, 3.726483504930933*^9, 
   3.7264943551715727`*^9, 3.726494652859013*^9, 3.726494906685061*^9, 
   3.726494971686117*^9, 3.726495183912017*^9, 3.726495533254183*^9, 
   3.726498859200502*^9, 3.726499054535459*^9, 3.726499336768292*^9, 
   3.726499912795123*^9, 3.726500321999145*^9, 3.726502367648776*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Generator", "[", 
     RowBox[{
      RowBox[{"SU", "[", "2", "]"}], ",", 
      RowBox[{"{", "2", "}"}]}], "]"}], "[", "a__Integer", "]"}], ":=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          FractionBox["1", 
           SqrtBox["2"]], ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          FractionBox["1", 
           SqrtBox["2"]], ",", "0", ",", 
          FractionBox["1", 
           SqrtBox["2"]]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          FractionBox["1", 
           SqrtBox["2"]], ",", "0"}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", 
           FractionBox["\[ImaginaryI]", 
            SqrtBox["2"]]}], ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]], ",", "0", ",", 
          RowBox[{"-", 
           FractionBox["\[ImaginaryI]", 
            SqrtBox["2"]]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]], ",", "0"}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "}"}], "[", 
    RowBox[{"[", "a", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7265023159767857`*^9, 3.726502347342752*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CalcRGEs", "[", 
  RowBox[{"TwoLoop", "\[Rule]", "False"}], "]"}]], "Input",
 CellChangeTimes->{{3.726376354844636*^9, 3.726376359539082*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate non-supersymmetric RGEs\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoKx6sNnuBNABbDcn1
  "]],

Cell[BoxData["\<\"Initializing Invariants... \"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224Lo0r2sNnuBNABbSMoL
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Note, the following parameter is treated as real in RGEs: \
\"\>", "\[InvisibleSpace]", 
   RowBox[{"mu3", " ", 
    RowBox[{"epsTensor", "[", 
     RowBox[{"lef1", ",", "lef2", ",", "lef3"}], "]"}]}]}],
  SequenceForm[
  "Note, the following parameter is treated as real in RGEs: ", \
$CellContext`mu3 
   SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2, $CellContext`lef3]],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224JoLQ8um71AGgBV28lQ
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Note, the following parameter is treated as real in RGEs: \
\"\>", "\[InvisibleSpace]", 
   RowBox[{"mu2", " ", 
    RowBox[{"epsTensor", "[", 
     RowBox[{"lef1", ",", "lef2", ",", "lef3"}], "]"}]}]}],
  SequenceForm[
  "Note, the following parameter is treated as real in RGEs: ", \
$CellContext`mu2 
   SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2, $CellContext`lef3]],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoqGQum71AGgBYGMmb
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Note, the following parameter is treated as real in RGEs: \
\"\>", "\[InvisibleSpace]", 
   RowBox[{"sig4", " ", 
    RowBox[{"epsTensor", "[", 
     RowBox[{"lef1", ",", "lef2", ",", "lef3", ",", "lef4"}], "]"}]}]}],
  SequenceForm[
  "Note, the following parameter is treated as real in RGEs: ", \
$CellContext`sig4 
   SARAH`epsTensor[$CellContext`lef1, $CellContext`lef2, $CellContext`lef3, \
$CellContext`lef4]],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224JoKUkhm71AGgBUQskZ
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Fermion bilinear\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoRe4fbfYCaQBe/squ
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"                      (Time needed so far: \"\>", 
   "\[InvisibleSpace]", "7.7440000000000015`", 
   "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm[
  "                      (Time needed so far: ", 7.7440000000000015`, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoOwx/bfYCaQBfJcqt
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Fermion chains\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224JoS8m/NnuBNABavMoj
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"                      (Time needed so far: \"\>", 
   "\[InvisibleSpace]", "27.339999999999996`", 
   "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm[
  "                      (Time needed so far: ", 27.339999999999996`, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoBRoF9nuBNABbHsoP
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Scalar bilinear\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoIOsC+71AGgBZM8nU
  "]],

Cell[BoxData["\<\"     ... 1-loop\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoNd4F9nuBNABcc8o+
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Scalar quartic\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224JoM9Z1DnuBNABYUsnB
  "]],

Cell[BoxData["\<\"     ... 1-loop\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224JoTvF1DnuBNABXaMmm
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Scalar cubic\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoL9KaXnuBNABb8Moa
  "]],

Cell[BoxData["\<\"     ... 1-loop\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoXTqaXnuBNABal8nx
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"All necessary invariants are ready (Time needed: \"\>", 
   "\[InvisibleSpace]", "113.468`", "\[InvisibleSpace]", "\<\"s)\"\>"}],
  SequenceForm[
  "All necessary invariants are ready (Time needed: ", 113.468, "s)"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LojGxTr71AGgBaCMnq
  "]],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224JojgZTr71AGgBXm8mf
  "]],

Cell[BoxData["\<\"Calculation of beta functions... \"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoI5NNvfYCaQBeAMpu
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for Gauge Couplings\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LosGWmXnuBNABbFcoT
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`GAUGE], StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`GAUGE], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`GAUGE]], "/", 3, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`GAUGE]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoOYdMvfYCaQBeCcp1
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate anomalous dimensions of scalars\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224JoqeW2XnuBNABZbMng
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`GSIJ], StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "5", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`GSIJ], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`GSIJ]], "/", 5, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`GSIJ]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoGUdtvfYCaQBeLsp8
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate hat(gamma) for running VEVs\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224JooVu2XnuBNABakcoL
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`GSijHat], StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "5", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`GSijHat], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`GSijHat]], "/", 5, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`GSijHat]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoO59svfYCaQBhicrt
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate anomalous dimensions of fermions\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoTWx2XnuBNABZy8nY
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`GFIJ], StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "5", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`GFIJ], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`GFIJ]], "/", 5, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`GFIJ]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoD2p2XnuBNABcm8o2
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for Yukawa-like interactions\"\>", 
   "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224JoBXs7r71AGgBWysl/
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`YIJK], StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`YIJK], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`YIJK]], "/", 3, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`YIJK]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224Los5F2XnuBNABc6MpG
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for bilinear Fermion \
interactions\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LojGZXr71AGgBbEMoS
  "]],

Cell[BoxData["\<\"   Nothing to do.\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoQ1NdvfYCaQBeXsp+
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for scalar 4-point interactions\"\>",
    "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoY8tcvfYCaQBe9cqT
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`LIJKL], StandardForm],
    ImageSizeCache->{16., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "10", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`LIJKL], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`LIJKL]], "/", 10, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`LIJKL]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224Jo+T2uXnuBNABaV8oC
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for scalar 3-point interactions\"\>",
    "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224Loals+371AGgBYg8mr
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`TIJK], StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`TIJK], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`TIJK]], "/", 3, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`TIJK]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224Loc+F8vnuBNABb0coY
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for bilinear scalar \
interactions\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224Lof+GivnuBNABde8pP
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`MSIJ], StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`MSIJ], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`MSIJ]], "/", 3, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`MSIJ]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224Lon5NEffcCaQBe8MqF
  "]],

Cell[BoxData[
 TagBox[
  StyleBox["\<\"Calculate Beta Functions for VEVs\"\>", "Section",
   FontSize->12],
  StyleForm[#, "Section", FontSize -> 12]& ]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoTTtlfPcCaQBd88ps
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"   Calculating \"\>", "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicProgressRGE[SARAH`VEVI], StandardForm],
    ImageSizeCache->{9., {0., 9.}}], "\[InvisibleSpace]", "\<\"/\"\>", 
   "\[InvisibleSpace]", "3", "\[InvisibleSpace]", "\<\".(\"\>", 
   "\[InvisibleSpace]", 
   DynamicBox[ToBoxes[
     SARAH`DynamicCoupProgess[SARAH`VEVI], StandardForm],
    ImageSizeCache->{68., {0., 10.}}], "\[InvisibleSpace]", "\<\")\"\>"}],
  SequenceForm["   Calculating ", 
   Dynamic[
    SARAH`DynamicProgressRGE[SARAH`VEVI]], "/", 3, ".(", 
   Dynamic[
    SARAH`DynamicCoupProgess[SARAH`VEVI]], ")"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LogBsyvnuBNABbvMop
  "]],

Cell[BoxData["\<\"Writing Mathematica code to evaluate RGEs\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224Jox2Jl371AGgBYq8m8
  "]],

Cell[BoxData["\<\"\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LoTW3KvnuBNABcuMpA
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Finished with the calculation of the RGEs. Time needed: \"\>", 
   "\[InvisibleSpace]", "136.892`", "\[InvisibleSpace]", "\<\"s\"\>"}],
  SequenceForm[
  "Finished with the calculation of the RGEs. Time needed: ", 136.892, "s"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224LobzuVffcCaQBgPcq3
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"The results are saved in \"\>", "\[InvisibleSpace]", 
   TagBox[
    StyleBox["\<\"/home/fnstaub/Documents/Uni/SARAH/sarah4/Output/G_GM/RGEs/\"\
\>", "Section",
     FontSize->10],
    StyleForm[#, "Section", FontSize -> 10]& ]}],
  SequenceForm["The results are saved in ", 
   StyleForm[
   "/home/fnstaub/Documents/Uni/SARAH/sarah4/Output/G_GM/RGEs/", "Section", 
    FontSize -> 10]],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBuJrif+31B9+7fjp8PLARiCd8ctetQlIu+VOCwLRhWmN
+c1Aumhq5852IN3AZ8jaAaQjXGM3g2ip8x/2gmjOt8eqJgFph+kXJ4Pob/2b
UycDaQGniqCVQPrD1K9HQfSalXO5VwHprh3S/GuB9CodDT0QfWvmujgQfSWw
bAGITmibc349kHZ9Oo15A5DOirqZDaIfnYzh3QikpywzlAXRZbOMXED04hvv
i0H0ge+7F20G0i3ztFeAaLHOoDUgWuj3zKcgWkvzNPsWIL3vwZ3gnSB1s75W
gOgLa/bOANF5mU8WgOg95zJ3g+ht6QLPQfTzxyztu4G0k7D6fBCd1dp4CESX
+LZz7QHSmxP224Lo7ovKvnuBNABdjcpk
  "]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["BetaLijkl"], "Input",
 CellChangeTimes->{{3.726461736326516*^9, 3.726461738243865*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"sig4", ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"27", " ", 
         SuperscriptBox["g1", "2"], " ", "sig4"}], "10"]}], "-", 
      FractionBox[
       RowBox[{"33", " ", 
        SuperscriptBox["g2", "2"], " ", "sig4"}], "2"], "+", 
      RowBox[{"4", " ", "Lambda1", " ", "sig4"}], "+", 
      RowBox[{"4", " ", "rho4", " ", "sig4"}], "-", 
      RowBox[{"2", " ", "rho5", " ", "sig4"}], "+", 
      RowBox[{"4", " ", "sig1", " ", "sig4"}], "+", 
      RowBox[{"4", " ", "sig2", " ", "sig4"}], "+", 
      RowBox[{"8", " ", "sig3", " ", "sig4"}], "+", 
      RowBox[{"6", " ", "sig4", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yd", ",", 
         RowBox[{"Adj", "[", "Yd", "]"}]}], "]"}]}], "+", 
      RowBox[{"2", " ", "sig4", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Ye", ",", 
         RowBox[{"Adj", "[", "Ye", "]"}]}], "]"}]}], "+", 
      RowBox[{"6", " ", "sig4", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yu", ",", 
         RowBox[{"Adj", "[", "Yu", "]"}]}], "]"}]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"rho3", ",", 
     RowBox[{
      FractionBox[
       RowBox[{"3", " ", 
        SuperscriptBox["g2", "4"]}], "4"], "-", 
      RowBox[{"24", " ", 
       SuperscriptBox["g2", "2"], " ", "rho3"}], "+", 
      RowBox[{"44", " ", 
       SuperscriptBox["rho3", "2"]}], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["rho4", "2"]}], "+", 
      RowBox[{"4", " ", "rho4", " ", "rho5"}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["rho5", "2"]}], "+", 
      RowBox[{"4", " ", 
       SuperscriptBox["sig3", "2"]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Lambda1", ",", 
     RowBox[{
      FractionBox[
       RowBox[{"27", " ", 
        SuperscriptBox["g1", "4"]}], "200"], "+", 
      FractionBox[
       RowBox[{"9", " ", 
        SuperscriptBox["g1", "2"], " ", 
        SuperscriptBox["g2", "2"]}], "20"], "+", 
      FractionBox[
       RowBox[{"9", " ", 
        SuperscriptBox["g2", "4"]}], "8"], "-", 
      FractionBox[
       RowBox[{"9", " ", 
        SuperscriptBox["g1", "2"], " ", "Lambda1"}], "5"], "-", 
      RowBox[{"9", " ", 
       SuperscriptBox["g2", "2"], " ", "Lambda1"}], "+", 
      RowBox[{"24", " ", 
       SuperscriptBox["Lambda1", "2"]}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox["sig1", "2"]}], "+", 
      RowBox[{"3", " ", "sig1", " ", "sig2"}], "+", 
      FractionBox[
       RowBox[{"5", " ", 
        SuperscriptBox["sig2", "2"]}], "4"], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["sig3", "2"]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["sig4", "2"]}], "+", 
      RowBox[{"12", " ", "Lambda1", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yd", ",", 
         RowBox[{"Adj", "[", "Yd", "]"}]}], "]"}]}], "+", 
      RowBox[{"4", " ", "Lambda1", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Ye", ",", 
         RowBox[{"Adj", "[", "Ye", "]"}]}], "]"}]}], "+", 
      RowBox[{"12", " ", "Lambda1", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yu", ",", 
         RowBox[{"Adj", "[", "Yu", "]"}]}], "]"}]}], "-", 
      RowBox[{"6", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yd", ",", 
         RowBox[{"Adj", "[", "Yd", "]"}], ",", "Yd", ",", 
         RowBox[{"Adj", "[", "Yd", "]"}]}], "]"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Ye", ",", 
         RowBox[{"Adj", "[", "Ye", "]"}], ",", "Ye", ",", 
         RowBox[{"Adj", "[", "Ye", "]"}]}], "]"}]}], "-", 
      RowBox[{"6", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yu", ",", 
         RowBox[{"Adj", "[", "Yu", "]"}], ",", "Yu", ",", 
         RowBox[{"Adj", "[", "Yu", "]"}]}], "]"}]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"sig3", ",", 
     RowBox[{
      FractionBox[
       RowBox[{"3", " ", 
        SuperscriptBox["g2", "4"]}], "4"], "+", 
      RowBox[{"6", " ", "rho4", " ", "sig1"}], "+", 
      RowBox[{"2", " ", "rho5", " ", "sig1"}], "+", 
      RowBox[{"3", " ", "rho4", " ", "sig2"}], "+", 
      RowBox[{"2", " ", "rho5", " ", "sig2"}], "-", 
      FractionBox[
       RowBox[{"9", " ", 
        SuperscriptBox["g1", "2"], " ", "sig3"}], "10"], "-", 
      FractionBox[
       RowBox[{"33", " ", 
        SuperscriptBox["g2", "2"], " ", "sig3"}], "2"], "+", 
      RowBox[{"12", " ", "Lambda1", " ", "sig3"}], "+", 
      RowBox[{"20", " ", "rho3", " ", "sig3"}], "+", 
      RowBox[{"8", " ", 
       SuperscriptBox["sig3", "2"]}], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["sig4", "2"]}], "+", 
      RowBox[{"6", " ", "sig3", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yd", ",", 
         RowBox[{"Adj", "[", "Yd", "]"}]}], "]"}]}], "+", 
      RowBox[{"2", " ", "sig3", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Ye", ",", 
         RowBox[{"Adj", "[", "Ye", "]"}]}], "]"}]}], "+", 
      RowBox[{"6", " ", "sig3", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yu", ",", 
         RowBox[{"Adj", "[", "Yu", "]"}]}], "]"}]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"sig2", ",", 
     RowBox[{
      FractionBox[
       RowBox[{"36", " ", 
        SuperscriptBox["g1", "2"], " ", 
        SuperscriptBox["g2", "2"]}], "5"], "-", 
      FractionBox[
       RowBox[{"9", " ", 
        SuperscriptBox["g1", "2"], " ", "sig2"}], "2"], "-", 
      FractionBox[
       RowBox[{"33", " ", 
        SuperscriptBox["g2", "2"], " ", "sig2"}], "2"], "+", 
      RowBox[{"4", " ", "Lambda1", " ", "sig2"}], "+", 
      RowBox[{"4", " ", "rho1", " ", "sig2"}], "+", 
      RowBox[{"8", " ", "rho2", " ", "sig2"}], "+", 
      RowBox[{"8", " ", "sig1", " ", "sig2"}], "+", 
      RowBox[{"4", " ", 
       SuperscriptBox["sig2", "2"]}], "+", 
      RowBox[{"4", " ", 
       SuperscriptBox["sig4", "2"]}], "+", 
      RowBox[{"6", " ", "sig2", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yd", ",", 
         RowBox[{"Adj", "[", "Yd", "]"}]}], "]"}]}], "+", 
      RowBox[{"2", " ", "sig2", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Ye", ",", 
         RowBox[{"Adj", "[", "Ye", "]"}]}], "]"}]}], "+", 
      RowBox[{"6", " ", "sig2", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yu", ",", 
         RowBox[{"Adj", "[", "Yu", "]"}]}], "]"}]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"sig1", ",", 
     RowBox[{
      FractionBox[
       RowBox[{"27", " ", 
        SuperscriptBox["g1", "4"]}], "25"], "-", 
      FractionBox[
       RowBox[{"18", " ", 
        SuperscriptBox["g1", "2"], " ", 
        SuperscriptBox["g2", "2"]}], "5"], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["g2", "4"]}], "-", 
      FractionBox[
       RowBox[{"9", " ", 
        SuperscriptBox["g1", "2"], " ", "sig1"}], "2"], "-", 
      FractionBox[
       RowBox[{"33", " ", 
        SuperscriptBox["g2", "2"], " ", "sig1"}], "2"], "+", 
      RowBox[{"12", " ", "Lambda1", " ", "sig1"}], "+", 
      RowBox[{"16", " ", "rho1", " ", "sig1"}], "+", 
      RowBox[{"12", " ", "rho2", " ", "sig1"}], "+", 
      RowBox[{"4", " ", 
       SuperscriptBox["sig1", "2"]}], "+", 
      RowBox[{"4", " ", "Lambda1", " ", "sig2"}], "+", 
      RowBox[{"6", " ", "rho1", " ", "sig2"}], "+", 
      RowBox[{"2", " ", "rho2", " ", "sig2"}], "+", 
      SuperscriptBox["sig2", "2"], "+", 
      RowBox[{"12", " ", "rho4", " ", "sig3"}], "+", 
      RowBox[{"4", " ", "rho5", " ", "sig3"}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["sig4", "2"]}], "+", 
      RowBox[{"6", " ", "sig1", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yd", ",", 
         RowBox[{"Adj", "[", "Yd", "]"}]}], "]"}]}], "+", 
      RowBox[{"2", " ", "sig1", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Ye", ",", 
         RowBox[{"Adj", "[", "Ye", "]"}]}], "]"}]}], "+", 
      RowBox[{"6", " ", "sig1", " ", 
       RowBox[{"trace", "[", 
        RowBox[{"Yu", ",", 
         RowBox[{"Adj", "[", "Yu", "]"}]}], "]"}]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"rho2", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "6"}], " ", 
       SuperscriptBox["g2", "4"]}], "+", 
      RowBox[{
       FractionBox["36", "5"], " ", 
       SuperscriptBox["g1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["g2", "2"]}], "-", "rho2"}], ")"}]}], "-", 
      RowBox[{"24", " ", 
       SuperscriptBox["g2", "2"], " ", "rho2"}], "+", 
      RowBox[{"24", " ", "rho1", " ", "rho2"}], "+", 
      RowBox[{"18", " ", 
       SuperscriptBox["rho2", "2"]}], "+", 
      SuperscriptBox["sig2", "2"]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"rho5", ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{"3", " ", 
         SuperscriptBox["g2", "4"]}], "2"]}], "-", 
      FractionBox[
       RowBox[{"18", " ", 
        SuperscriptBox["g1", "2"], " ", "rho5"}], "5"], "-", 
      RowBox[{"24", " ", 
       SuperscriptBox["g2", "2"], " ", "rho5"}], "+", 
      RowBox[{"4", " ", "rho1", " ", "rho5"}], "+", 
      RowBox[{"4", " ", "rho2", " ", "rho5"}], "+", 
      RowBox[{"8", " ", "rho3", " ", "rho5"}], "+", 
      RowBox[{"16", " ", "rho4", " ", "rho5"}], "+", 
      RowBox[{"10", " ", 
       SuperscriptBox["rho5", "2"]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["sig4", "2"]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"rho4", ",", 
     RowBox[{
      RowBox[{"3", " ", 
       SuperscriptBox["g2", "4"]}], "-", 
      FractionBox[
       RowBox[{"18", " ", 
        SuperscriptBox["g1", "2"], " ", "rho4"}], "5"], "-", 
      RowBox[{"24", " ", 
       SuperscriptBox["g2", "2"], " ", "rho4"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", "rho1", " ", "rho4"}], "+", 
         RowBox[{"6", " ", "rho2", " ", "rho4"}], "+", 
         RowBox[{"10", " ", "rho3", " ", "rho4"}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["rho4", "2"]}], "+", 
         RowBox[{"2", " ", "rho1", " ", "rho5"}], "+", 
         RowBox[{"2", " ", "rho2", " ", "rho5"}], "+", 
         RowBox[{"2", " ", "rho3", " ", "rho5"}], "+", 
         SuperscriptBox["rho5", "2"], "+", 
         RowBox[{"2", " ", "sig1", " ", "sig3"}], "+", 
         RowBox[{"sig2", " ", "sig3"}], "+", 
         SuperscriptBox["sig4", "2"]}], ")"}]}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"rho1", ",", 
     RowBox[{
      FractionBox[
       RowBox[{"54", " ", 
        SuperscriptBox["g1", "4"]}], "25"], "+", 
      RowBox[{"15", " ", 
       SuperscriptBox["g2", "4"]}], "-", 
      RowBox[{"24", " ", 
       SuperscriptBox["g2", "2"], " ", "rho1"}], "-", 
      RowBox[{
       FractionBox["36", "5"], " ", 
       SuperscriptBox["g1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["g2", "2"], "+", "rho1"}], ")"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"14", " ", 
          SuperscriptBox["rho1", "2"]}], "+", 
         RowBox[{"12", " ", "rho1", " ", "rho2"}], "+", 
         RowBox[{"3", " ", 
          SuperscriptBox["rho2", "2"]}], "+", 
         RowBox[{"3", " ", 
          SuperscriptBox["rho4", "2"]}], "+", 
         RowBox[{"2", " ", "rho4", " ", "rho5"}], "+", 
         SuperscriptBox["rho5", "2"], "+", 
         SuperscriptBox["sig1", "2"], "+", 
         RowBox[{"sig1", " ", "sig2"}]}], ")"}]}]}], ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7264617392632093`*^9, 3.7264627001774273`*^9, 
  3.726468262364794*^9, 3.726469404257985*^9, 3.726469631496957*^9, 
  3.7264699954308147`*^9, 3.7264705573525476`*^9, 3.726475019692822*^9, 
  3.7264754488122377`*^9, 3.726476272700252*^9, 3.7264775147151623`*^9, 
  3.726477695711454*^9, 3.726477999635396*^9, 3.726478373289419*^9, 
  3.726482933186571*^9, 3.726483378427916*^9, 3.7264836798298683`*^9, 
  3.726494500433971*^9, 3.726494791321089*^9, 3.726495111492425*^9, 
  3.726495319917748*^9, 3.726495668273075*^9, 3.726499195584001*^9, 
  3.726499483692494*^9, 3.7265000474175453`*^9, 3.72650045814904*^9, 
  3.726502505617133*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Blam", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"3", "/", "8"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3", " ", 
         RowBox[{"g2", "^", "4"}]}], "+", 
        RowBox[{"2", 
         RowBox[{"g2", "^", "2"}], 
         RowBox[{"g1", "^", "2"}]}], "+", 
        RowBox[{"g1", "^", "4"}]}], ")"}]}], "+", 
     RowBox[{"24", 
      RowBox[{"lam", "^", "2"}]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"yt", "^", "4"}], "+", 
        RowBox[{"yb", "^", "4"}]}], ")"}]}], "+", 
     RowBox[{"3", " ", 
      RowBox[{"sig1", "^", "2"}]}], "+", 
     RowBox[{"3", " ", "sig1", " ", "sig2"}], "+", 
     RowBox[{
      RowBox[{"5", "/", "4"}], " ", 
      RowBox[{"sig2", "^", "2"}]}], "+", 
     RowBox[{"6", " ", 
      RowBox[{"sig3", "^", "2"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"sig4", "^", "2"}]}], "-", 
     RowBox[{"3", "lam", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"g1", "^", "2"}], "+", 
        RowBox[{"3", " ", 
         RowBox[{"g2", "^", "2"}]}], "-", 
        RowBox[{"4", 
         RowBox[{"yt", "^", "2"}]}], "-", 
        RowBox[{"4", 
         RowBox[{"yb", "^", "2"}]}]}], ")"}]}]}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Brho1", "=", 
    RowBox[{
     RowBox[{"15", " ", 
      RowBox[{"g2", "^", "4"}]}], "-", 
     RowBox[{"12", " ", 
      RowBox[{"g1", "^", "2"}], " ", 
      RowBox[{"g2", "^", "2"}]}], "+", 
     RowBox[{"6", " ", 
      RowBox[{"g1", "^", "4"}]}], "+", 
     RowBox[{"28", " ", 
      RowBox[{"rho1", "^", "2"}]}], "+", 
     RowBox[{"24", " ", "rho1", " ", "rho2"}], "+", 
     RowBox[{"6", " ", 
      RowBox[{"rho2", "^", "2"}]}], "+", 
     RowBox[{"6", " ", 
      RowBox[{"rho4", "^", "2"}]}], "+", 
     RowBox[{"4", " ", "rho4", " ", "rho5"}], "+", 
     RowBox[{"3", 
      RowBox[{"rho5", "^", "2"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"sig1", "^", "2"}]}], "+", 
     RowBox[{"2", " ", "sig1", " ", "sig2"}], "-", 
     RowBox[{"12", "rho1", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"g1", "^", "2"}], "+", 
        RowBox[{"2", 
         RowBox[{"g2", "^", "2"}]}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Brho2", "=", 
    RowBox[{
     RowBox[{"24", " ", 
      RowBox[{"g1", "^", "2"}], " ", 
      RowBox[{"g2", "^", "2"}]}], "-", 
     RowBox[{"6", " ", 
      RowBox[{"g2", "^", "4"}]}], "+", 
     RowBox[{"24", "rho1", " ", "rho2"}], "+", 
     RowBox[{"18", " ", 
      RowBox[{"rho2", "^", "2"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"rho5", "^", "2"}]}], "+", 
     RowBox[{"sig2", "^", "2"}], "-", 
     RowBox[{"12", " ", "rho2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{"g2", "^", "2"}]}], "+", 
        RowBox[{"g1", "^", "2"}]}], ")"}]}]}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Brho3", "=", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        RowBox[{"g2", "^", "4"}]}], "+", 
       RowBox[{"22", " ", 
        RowBox[{"rho3", "^", "2"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"rho4", "^", "2"}]}], "+", 
       RowBox[{"2", "rho4", " ", "rho5"}], "+", 
       RowBox[{"rho5", "^", "2"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"sig3", "^", "2"}]}], "-", 
       RowBox[{"12", " ", 
        RowBox[{"g2", "^", "2"}], " ", "rho3"}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Brho4", "=", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        RowBox[{"g2", "^", "4"}]}], "+", 
       RowBox[{"rho4", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"8", " ", "rho1"}], "+", 
          RowBox[{"6", " ", "rho2"}], "+", 
          RowBox[{"10", " ", "rho3"}], "+", 
          RowBox[{"4", "rho4"}]}], ")"}]}], "+", 
       RowBox[{"2", " ", "rho5", " ", 
        RowBox[{"(", 
         RowBox[{"rho1", "+", "rho2", "+", "rho3"}], ")"}]}], "+", 
       RowBox[{"rho5", "^", "2"}], "+", 
       RowBox[{"2", " ", "sig1", " ", "sig3"}], "+", 
       RowBox[{"sig2", " ", "sig3"}], "+", 
       RowBox[{"sig4", "^", "2"}], "-", 
       RowBox[{"3", "rho4", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"g1", "^", "2"}], "+", 
          RowBox[{"4", " ", 
           RowBox[{"g2", "^", "2"}]}]}], ")"}]}]}], ")"}]}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Brho5", "=", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        RowBox[{"g2", "^", "4"}]}], "+", 
       RowBox[{"rho5", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "rho1"}], "+", 
          RowBox[{"4", " ", "rho3"}], "+", 
          RowBox[{"8", " ", "rho4"}], "+", 
          RowBox[{"5", "rho5"}]}], ")"}]}], "-", 
       RowBox[{"sig4", "^", "2"}], "-", 
       RowBox[{"3", "rho5", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"g2", "^", "2"}]}], "+", 
          RowBox[{"g1", "^", "2"}]}], ")"}]}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Bsig1", "=", 
    RowBox[{
     RowBox[{"3", " ", 
      RowBox[{"g1", "^", "4"}]}], "-", 
     RowBox[{"6", 
      RowBox[{"g1", "^", "2"}], 
      RowBox[{"g2", "^", "2"}]}], "+", 
     RowBox[{"6", " ", 
      RowBox[{"g2", "^", "4"}]}], "+", 
     RowBox[{"2", " ", "sig1", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"6", " ", "lam"}], "+", 
        RowBox[{"8", " ", "rho1"}], "+", 
        RowBox[{"6", " ", "rho2"}], "+", 
        RowBox[{"2", "sig1"}]}], ")"}]}], "+", 
     RowBox[{"2", " ", "sig2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "lam"}], "+", 
        RowBox[{"3", " ", "rho1"}], "+", "rho2"}], ")"}]}], "+", 
     RowBox[{"2", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"6", " ", "rho4", " ", "sig3"}], "+", 
        RowBox[{"2", "rho5", " ", "sig3"}], "+", 
        RowBox[{"sig4", "^", "2"}]}], ")"}]}], "+", 
     RowBox[{"sig2", "^", "2"}], "-", 
     RowBox[{
      RowBox[{"3", "/", "2"}], " ", "sig1", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"5", 
         RowBox[{"g1", "^", "2"}]}], "+", 
        RowBox[{"11", 
         RowBox[{"g2", "^", "2"}]}], "-", 
        RowBox[{"4", 
         RowBox[{"yt", "^", "2"}]}], "-", 
        RowBox[{"4", 
         RowBox[{"yb", "^", "2"}]}]}], ")"}]}]}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Bsig2", "=", 
    RowBox[{
     RowBox[{"12", 
      RowBox[{"g1", "^", "2"}], 
      RowBox[{"g2", "^", "2"}]}], "+", 
     RowBox[{"4", "sig2", 
      RowBox[{"(", 
       RowBox[{"lam", "+", "rho1", "+", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"rho2", "+", "sig1"}], ")"}]}], "+", "sig2"}], ")"}]}], "+", 
     RowBox[{"4", " ", 
      RowBox[{"sig4", "^", "2"}]}], "-", 
     RowBox[{
      RowBox[{"3", "/", "2"}], " ", "sig2", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"5", 
         RowBox[{"g1", "^", "2"}]}], "+", 
        RowBox[{"11", 
         RowBox[{"g2", "^", "2"}]}], "-", 
        RowBox[{"4", " ", 
         RowBox[{"yt", "^", "2"}]}], "-", 
        RowBox[{"4", 
         RowBox[{"yb", "^", "2"}]}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Bsig3", "=", 
    RowBox[{
     RowBox[{"3", " ", 
      RowBox[{"g2", "^", "4"}]}], "+", 
     RowBox[{"2", "sig3", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"6", " ", "lam"}], "+", 
        RowBox[{"10", " ", "rho3"}], "+", 
        RowBox[{"4", " ", "sig3"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"3", " ", "rho4"}], "+", "rho5"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "sig1"}], "+", "sig2"}], ")"}]}], "+", 
     RowBox[{"4", " ", 
      RowBox[{"sig4", "^", "2"}]}], "-", 
     RowBox[{
      RowBox[{"3", "/", "2"}], " ", "sig3", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"g1", "^", "2"}], "+", 
        RowBox[{"11", " ", 
         RowBox[{"g2", "^", "2"}]}], "-", 
        RowBox[{"4", 
         RowBox[{"yt", "^", "2"}]}], "-", 
        RowBox[{"4", 
         RowBox[{"yb", "^", "2"}]}]}], ")"}]}]}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bsig4", "=", 
   RowBox[{
    RowBox[{"sig4", "/", "2"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "lam"}], "+", 
         RowBox[{"2", "rho4"}], "-", "rho5", "+", 
         RowBox[{"2", "sig1"}], "+", 
         RowBox[{"2", "sig2"}], "+", 
         RowBox[{"4", "sig3"}]}], ")"}]}], "-", 
      RowBox[{"3", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"3", 
          RowBox[{"g1", "^", "2"}]}], "+", 
         RowBox[{"11", " ", 
          RowBox[{"g2", "^", "2"}]}], "-", 
         RowBox[{"4", 
          RowBox[{"yt", "^", "2"}]}], "-", 
         RowBox[{"4", 
          RowBox[{"yb", "^", "2"}]}]}], ")"}]}]}], ")"}]}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.712594342208528*^9, 3.712594342209684*^9}, {
  3.712594555183639*^9, 3.712594557808708*^9}, {3.7264617597664413`*^9, 
  3.726461771015315*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", "Lambda", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.726461861498522*^9, 3.72646186455797*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BetaLijkl", "[", 
          RowBox[{"[", 
           RowBox[{"3", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"Expand", "[", 
          RowBox[{"Blam", " ", "/.", " ", 
           RowBox[{"g1", "\[Rule]", 
            RowBox[{
             RowBox[{"Sqrt", "[", 
              RowBox[{"3", "/", "5"}], "]"}], " ", "g1"}]}]}], "    ", 
          "]"}]}], "  ", "}"}], "/.", " ", 
       RowBox[{"lam", "\[Rule]", "Lambda1"}]}], " ", "/.", 
      RowBox[{"trace", "\[Rule]", "Times"}]}], " ", "/.", " ", 
     RowBox[{
      RowBox[{"Adj", "[", "x_", "]"}], "\[Rule]", "x"}]}], " ", "/.", " ", 
    RowBox[{"Yu", "\[Rule]", "yt"}]}], " ", "/.", " ", 
   RowBox[{"Yd", "\[Rule]", "yb"}]}], " ", "/.", 
  RowBox[{"Ye", "\[Rule]", "0"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "-", 
  RowBox[{"%", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7264171359004707`*^9, 3.726417137802655*^9}, {
   3.7264171761976767`*^9, 3.726417190219516*^9}, {3.7264617910371313`*^9, 
   3.726461847006075*^9}, {3.7264619060598497`*^9, 3.7264619146664267`*^9}, 
   3.726468278638414*^9, {3.726469686947229*^9, 3.7264696926207*^9}, {
   3.7264698132972097`*^9, 3.7264698405583277`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"27", " ", 
      SuperscriptBox["g1", "4"]}], "200"], "+", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"]}], "20"], "+", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g2", "4"]}], "8"], "-", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "2"], " ", "Lambda1"}], "5"], "-", 
    RowBox[{"9", " ", 
     SuperscriptBox["g2", "2"], " ", "Lambda1"}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["Lambda1", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["sig1", "2"]}], "+", 
    RowBox[{"3", " ", "sig1", " ", "sig2"}], "+", 
    FractionBox[
     RowBox[{"5", " ", 
      SuperscriptBox["sig2", "2"]}], "4"], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["sig3", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["sig4", "2"]}], "+", 
    RowBox[{"12", " ", "Lambda1", " ", 
     SuperscriptBox["yb", "2"]}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["yb", "4"]}], "+", 
    RowBox[{"12", " ", "Lambda1", " ", 
     SuperscriptBox["yt", "2"]}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["yt", "4"]}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{"27", " ", 
      SuperscriptBox["g1", "4"]}], "200"], "+", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"]}], "20"], "+", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g2", "4"]}], "8"], "-", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "2"], " ", "Lambda1"}], "5"], "-", 
    RowBox[{"9", " ", 
     SuperscriptBox["g2", "2"], " ", "Lambda1"}], "+", 
    RowBox[{"24", " ", 
     SuperscriptBox["Lambda1", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["sig1", "2"]}], "+", 
    RowBox[{"3", " ", "sig1", " ", "sig2"}], "+", 
    FractionBox[
     RowBox[{"5", " ", 
      SuperscriptBox["sig2", "2"]}], "4"], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["sig3", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["sig4", "2"]}], "+", 
    RowBox[{"12", " ", "Lambda1", " ", 
     SuperscriptBox["yb", "2"]}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["yb", "4"]}], "+", 
    RowBox[{"12", " ", "Lambda1", " ", 
     SuperscriptBox["yt", "2"]}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["yt", "4"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.726417138323032*^9, {3.7264171771969*^9, 3.7264171906377068`*^9}, {
   3.7264617743529387`*^9, 3.72646184740878*^9}, 3.726461915077297*^9, 
   3.7264682797212353`*^9, 3.7264694113941507`*^9, 3.726469632496098*^9, 
   3.726469693670999*^9, 3.726469814110715*^9, 3.726469995875478*^9, 
   3.726470557667388*^9, 3.726475020078524*^9, 3.726475449423471*^9, 
   3.726476273388126*^9, 3.726477515107005*^9, 3.7264776964970293`*^9, 
   3.7264779999331493`*^9, 3.726478373509726*^9, 3.726482375847587*^9, 
   3.7264829341255827`*^9, 3.726483378717166*^9, 3.726483684080065*^9, 
   3.726494500901423*^9, 3.7264947917185717`*^9, 3.726495111920089*^9, 
   3.7264953202286873`*^9, 3.7264956685895243`*^9, 3.726499195817884*^9, 
   3.726499484741167*^9, 3.7265000476364517`*^9, 3.72650045851077*^9, 
   3.7265025058152647`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.726417138323032*^9, {3.7264171771969*^9, 3.7264171906377068`*^9}, {
   3.7264617743529387`*^9, 3.72646184740878*^9}, 3.726461915077297*^9, 
   3.7264682797212353`*^9, 3.7264694113941507`*^9, 3.726469632496098*^9, 
   3.726469693670999*^9, 3.726469814110715*^9, 3.726469995875478*^9, 
   3.726470557667388*^9, 3.726475020078524*^9, 3.726475449423471*^9, 
   3.726476273388126*^9, 3.726477515107005*^9, 3.7264776964970293`*^9, 
   3.7264779999331493`*^9, 3.726478373509726*^9, 3.726482375847587*^9, 
   3.7264829341255827`*^9, 3.726483378717166*^9, 3.726483684080065*^9, 
   3.726494500901423*^9, 3.7264947917185717`*^9, 3.726495111920089*^9, 
   3.7264953202286873`*^9, 3.7264956685895243`*^9, 3.726499195817884*^9, 
   3.726499484741167*^9, 3.7265000476364517`*^9, 3.72650045851077*^9, 
   3.726502505819297*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", "sig1", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.726468392805702*^9, 3.726468395082033*^9}, {
  3.7264686137058372`*^9, 3.726468613979195*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BetaLijkl", "[", 
          RowBox[{"[", 
           RowBox[{"6", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"Expand", "[", 
          RowBox[{"Bsig1", " ", "/.", " ", 
           RowBox[{"g1", "\[Rule]", 
            RowBox[{
             RowBox[{"Sqrt", "[", 
              RowBox[{"3", "/", "5"}], "]"}], " ", "g1"}]}]}], "   ", "]"}]}],
         "  ", "}"}], "/.", " ", 
       RowBox[{"lam", "\[Rule]", "Lambda1"}]}], " ", "/.", 
      RowBox[{"trace", "\[Rule]", "Times"}]}], " ", "/.", " ", 
     RowBox[{
      RowBox[{"Adj", "[", "x_", "]"}], "\[Rule]", "x"}]}], " ", "/.", " ", 
    RowBox[{"Yu", "\[Rule]", "yt"}]}], " ", "/.", " ", 
   RowBox[{"Yd", "\[Rule]", "yb"}]}], " ", "/.", 
  RowBox[{"Ye", "\[Rule]", "0"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "-", 
  RowBox[{"%", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.726462144619814*^9, 3.7264621484828043`*^9}, {
  3.726468405084405*^9, 3.726468416840275*^9}, {3.726468619694832*^9, 
  3.726468621711865*^9}, {3.726468681647874*^9, 3.72646868764369*^9}, {
  3.7264697721415577`*^9, 3.7264697841355667`*^9}, {3.7264698342214603`*^9, 
  3.726469837221541*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"27", " ", 
      SuperscriptBox["g1", "4"]}], "25"], "-", 
    FractionBox[
     RowBox[{"18", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"]}], "5"], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["g2", "4"]}], "-", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "2"], " ", "sig1"}], "2"], "-", 
    FractionBox[
     RowBox[{"33", " ", 
      SuperscriptBox["g2", "2"], " ", "sig1"}], "2"], "+", 
    RowBox[{"12", " ", "Lambda1", " ", "sig1"}], "+", 
    RowBox[{"16", " ", "rho1", " ", "sig1"}], "+", 
    RowBox[{"12", " ", "rho2", " ", "sig1"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["sig1", "2"]}], "+", 
    RowBox[{"4", " ", "Lambda1", " ", "sig2"}], "+", 
    RowBox[{"6", " ", "rho1", " ", "sig2"}], "+", 
    RowBox[{"2", " ", "rho2", " ", "sig2"}], "+", 
    SuperscriptBox["sig2", "2"], "+", 
    RowBox[{"12", " ", "rho4", " ", "sig3"}], "+", 
    RowBox[{"4", " ", "rho5", " ", "sig3"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["sig4", "2"]}], "+", 
    RowBox[{"6", " ", "sig1", " ", 
     SuperscriptBox["yb", "2"]}], "+", 
    RowBox[{"6", " ", "sig1", " ", 
     SuperscriptBox["yt", "2"]}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{"27", " ", 
      SuperscriptBox["g1", "4"]}], "25"], "-", 
    FractionBox[
     RowBox[{"18", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"]}], "5"], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["g2", "4"]}], "-", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "2"], " ", "sig1"}], "2"], "-", 
    FractionBox[
     RowBox[{"33", " ", 
      SuperscriptBox["g2", "2"], " ", "sig1"}], "2"], "+", 
    RowBox[{"12", " ", "Lambda1", " ", "sig1"}], "+", 
    RowBox[{"16", " ", "rho1", " ", "sig1"}], "+", 
    RowBox[{"12", " ", "rho2", " ", "sig1"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["sig1", "2"]}], "+", 
    RowBox[{"4", " ", "Lambda1", " ", "sig2"}], "+", 
    RowBox[{"6", " ", "rho1", " ", "sig2"}], "+", 
    RowBox[{"2", " ", "rho2", " ", "sig2"}], "+", 
    SuperscriptBox["sig2", "2"], "+", 
    RowBox[{"12", " ", "rho4", " ", "sig3"}], "+", 
    RowBox[{"4", " ", "rho5", " ", "sig3"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["sig4", "2"]}], "+", 
    RowBox[{"6", " ", "sig1", " ", 
     SuperscriptBox["yb", "2"]}], "+", 
    RowBox[{"6", " ", "sig1", " ", 
     SuperscriptBox["yt", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.726462148925147*^9, {3.7264683976869802`*^9, 3.72646841764229*^9}, 
   3.726468622157338*^9, 3.726468688086384*^9, 3.726469417393826*^9, 
   3.726469636178165*^9, 3.726469784577886*^9, 3.7264699961608686`*^9, 
   3.726470083822833*^9, 3.726470557847371*^9, 3.726475020335582*^9, 
   3.726475449816017*^9, 3.7264762739305773`*^9, 3.726477696888838*^9, 
   3.726478005674699*^9, 3.726478373679997*^9, 3.7264823794590807`*^9, 
   3.726482934622909*^9, 3.726482984301118*^9, 3.726483378884313*^9, 
   3.726483684649314*^9, 3.726494501114345*^9, 3.726494792063039*^9, 
   3.726495112238172*^9, 3.726495320512947*^9, 3.726495668903029*^9, 
   3.726499195993434*^9, 3.7264994852645473`*^9, 3.7265000477941837`*^9, 
   3.726500459048525*^9, 3.726502506001202*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.726462148925147*^9, {3.7264683976869802`*^9, 3.72646841764229*^9}, 
   3.726468622157338*^9, 3.726468688086384*^9, 3.726469417393826*^9, 
   3.726469636178165*^9, 3.726469784577886*^9, 3.7264699961608686`*^9, 
   3.726470083822833*^9, 3.726470557847371*^9, 3.726475020335582*^9, 
   3.726475449816017*^9, 3.7264762739305773`*^9, 3.726477696888838*^9, 
   3.726478005674699*^9, 3.726478373679997*^9, 3.7264823794590807`*^9, 
   3.726482934622909*^9, 3.726482984301118*^9, 3.726483378884313*^9, 
   3.726483684649314*^9, 3.726494501114345*^9, 3.726494792063039*^9, 
   3.726495112238172*^9, 3.726495320512947*^9, 3.726495668903029*^9, 
   3.726499195993434*^9, 3.7264994852645473`*^9, 3.7265000477941837`*^9, 
   3.726500459048525*^9, 3.726502506006093*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", "sig2", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.726468392805702*^9, 3.726468395082033*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BetaLijkl", "[", 
          RowBox[{"[", 
           RowBox[{"5", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"Expand", "[", 
          RowBox[{"Bsig2", " ", "/.", " ", 
           RowBox[{"g1", "\[Rule]", 
            RowBox[{
             RowBox[{"Sqrt", "[", 
              RowBox[{"3", "/", "5"}], "]"}], " ", "g1"}]}]}], "    ", 
          "]"}]}], "  ", "}"}], "/.", " ", 
       RowBox[{"lam", "\[Rule]", "Lambda1"}]}], " ", "/.", 
      RowBox[{"trace", "\[Rule]", "Times"}]}], " ", "/.", " ", 
     RowBox[{
      RowBox[{"Adj", "[", "x_", "]"}], "\[Rule]", "x"}]}], " ", "/.", " ", 
    RowBox[{"Yu", "\[Rule]", "yt"}]}], " ", "/.", " ", 
   RowBox[{"Yd", "\[Rule]", "yb"}]}], " ", "/.", 
  RowBox[{"Ye", "\[Rule]", "0"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "-", 
  RowBox[{"%", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.726462144619814*^9, 3.7264621484828043`*^9}, {
  3.726468405084405*^9, 3.726468416840275*^9}, {3.726468693288591*^9, 
  3.726468693568939*^9}, {3.726469816664929*^9, 3.726469831893141*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"36", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"]}], "5"], "-", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "2"], " ", "sig2"}], "2"], "-", 
    FractionBox[
     RowBox[{"33", " ", 
      SuperscriptBox["g2", "2"], " ", "sig2"}], "2"], "+", 
    RowBox[{"4", " ", "Lambda1", " ", "sig2"}], "+", 
    RowBox[{"4", " ", "rho1", " ", "sig2"}], "+", 
    RowBox[{"8", " ", "rho2", " ", "sig2"}], "+", 
    RowBox[{"8", " ", "sig1", " ", "sig2"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["sig2", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["sig4", "2"]}], "+", 
    RowBox[{"6", " ", "sig2", " ", 
     SuperscriptBox["yb", "2"]}], "+", 
    RowBox[{"6", " ", "sig2", " ", 
     SuperscriptBox["yt", "2"]}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{"36", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"]}], "5"], "-", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "2"], " ", "sig2"}], "2"], "-", 
    FractionBox[
     RowBox[{"33", " ", 
      SuperscriptBox["g2", "2"], " ", "sig2"}], "2"], "+", 
    RowBox[{"4", " ", "Lambda1", " ", "sig2"}], "+", 
    RowBox[{"4", " ", "rho1", " ", "sig2"}], "+", 
    RowBox[{"8", " ", "rho2", " ", "sig2"}], "+", 
    RowBox[{"8", " ", "sig1", " ", "sig2"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["sig2", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["sig4", "2"]}], "+", 
    RowBox[{"6", " ", "sig2", " ", 
     SuperscriptBox["yb", "2"]}], "+", 
    RowBox[{"6", " ", "sig2", " ", 
     SuperscriptBox["yt", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.726462148925147*^9, {3.7264683976869802`*^9, 3.72646841764229*^9}, 
   3.72646869413848*^9, 3.726469421403677*^9, 3.726469642674844*^9, {
   3.72646981766616*^9, 3.726469822020384*^9}, 3.726469996402834*^9, 
   3.726470088641448*^9, 3.726470558521872*^9, 3.726475492336266*^9, 
   3.726476274223768*^9, 3.726477697334176*^9, 3.726478013574275*^9, 
   3.7264783738561687`*^9, 3.7264823841375713`*^9, 3.7264829350902433`*^9, 
   3.726482986432766*^9, 3.7264833926190357`*^9, 3.72648368519912*^9, 
   3.7264945013337507`*^9, 3.726494792538096*^9, 3.7264951127394257`*^9, 
   3.726495321034789*^9, 3.7264956691931887`*^9, 3.726499196168755*^9, 
   3.726499485814526*^9, 3.726500047955497*^9, 3.726500459324833*^9, 
   3.726502506174446*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.726462148925147*^9, {3.7264683976869802`*^9, 3.72646841764229*^9}, 
   3.72646869413848*^9, 3.726469421403677*^9, 3.726469642674844*^9, {
   3.72646981766616*^9, 3.726469822020384*^9}, 3.726469996402834*^9, 
   3.726470088641448*^9, 3.726470558521872*^9, 3.726475492336266*^9, 
   3.726476274223768*^9, 3.726477697334176*^9, 3.726478013574275*^9, 
   3.7264783738561687`*^9, 3.7264823841375713`*^9, 3.7264829350902433`*^9, 
   3.726482986432766*^9, 3.7264833926190357`*^9, 3.72648368519912*^9, 
   3.7264945013337507`*^9, 3.726494792538096*^9, 3.7264951127394257`*^9, 
   3.726495321034789*^9, 3.7264956691931887`*^9, 3.726499196168755*^9, 
   3.726499485814526*^9, 3.726500047955497*^9, 3.726500459324833*^9, 
   3.726502506182619*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", "sig3", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.726468340084474*^9, 3.726468342419097*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"BetaLijkl", "[", 
           RowBox[{"[", 
            RowBox[{"4", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"Expand", "[", 
           RowBox[{"Bsig3", "/.", " ", 
            RowBox[{"g1", "\[Rule]", 
             RowBox[{
              RowBox[{"Sqrt", "[", 
               RowBox[{"3", "/", "5"}], "]"}], " ", "g1"}]}]}], "]"}]}], "  ",
          "}"}], "/.", " ", 
        RowBox[{"lam", "\[Rule]", "Lambda1"}]}], " ", "/.", 
       RowBox[{"trace", "\[Rule]", "Times"}]}], " ", "/.", " ", 
      RowBox[{
       RowBox[{"Adj", "[", "x_", "]"}], "\[Rule]", "x"}]}], " ", "/.", " ", 
     RowBox[{"Yu", "\[Rule]", "yt"}]}], " ", "/.", " ", 
    RowBox[{"Yd", "\[Rule]", "yb"}]}], " ", "/.", 
   RowBox[{"Ye", "\[Rule]", "0"}]}], "//", 
  "Expand"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "-", 
  RowBox[{"%", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.726462044231605*^9, 3.726462109570786*^9}, {
   3.726468333390594*^9, 3.7264683372138166`*^9}, 3.7264683800957327`*^9, {
   3.726468698263775*^9, 3.72646869875951*^9}, {3.7264701003795633`*^9, 
   3.726470101623258*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"3", " ", 
      SuperscriptBox["g2", "4"]}], "4"], "+", 
    RowBox[{"6", " ", "rho4", " ", "sig1"}], "+", 
    RowBox[{"2", " ", "rho5", " ", "sig1"}], "+", 
    RowBox[{"3", " ", "rho4", " ", "sig2"}], "+", 
    RowBox[{"2", " ", "rho5", " ", "sig2"}], "-", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "2"], " ", "sig3"}], "10"], "-", 
    FractionBox[
     RowBox[{"33", " ", 
      SuperscriptBox["g2", "2"], " ", "sig3"}], "2"], "+", 
    RowBox[{"12", " ", "Lambda1", " ", "sig3"}], "+", 
    RowBox[{"20", " ", "rho3", " ", "sig3"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["sig3", "2"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["sig4", "2"]}], "+", 
    RowBox[{"6", " ", "sig3", " ", 
     SuperscriptBox["yb", "2"]}], "+", 
    RowBox[{"6", " ", "sig3", " ", 
     SuperscriptBox["yt", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"3", " ", 
     SuperscriptBox["g2", "4"]}], "+", 
    RowBox[{"6", " ", "rho4", " ", "sig1"}], "+", 
    RowBox[{"2", " ", "rho5", " ", "sig1"}], "+", 
    RowBox[{"3", " ", "rho4", " ", "sig2"}], "+", 
    RowBox[{"rho5", " ", "sig2"}], "-", 
    FractionBox[
     RowBox[{"9", " ", 
      SuperscriptBox["g1", "2"], " ", "sig3"}], "10"], "-", 
    FractionBox[
     RowBox[{"33", " ", 
      SuperscriptBox["g2", "2"], " ", "sig3"}], "2"], "+", 
    RowBox[{"12", " ", "Lambda1", " ", "sig3"}], "+", 
    RowBox[{"20", " ", "rho3", " ", "sig3"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["sig3", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["sig4", "2"]}], "+", 
    RowBox[{"6", " ", "sig3", " ", 
     SuperscriptBox["yb", "2"]}], "+", 
    RowBox[{"6", " ", "sig3", " ", 
     SuperscriptBox["yt", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726462058589745*^9, 3.726462110118528*^9}, {
   3.726468367332016*^9, 3.7264683806307096`*^9}, 3.726468699936307*^9, 
   3.726469647178255*^9, 3.7264699969340773`*^9, {3.7264700939679527`*^9, 
   3.726470102030006*^9}, 3.726470558781246*^9, 3.726475503628407*^9, 
   3.7264762745943823`*^9, 3.726478038802544*^9, {3.7264783753943033`*^9, 
   3.726478386066472*^9}, 3.726482388921199*^9, 3.726482935496367*^9, 
   3.72648298830188*^9, 3.7264833940629263`*^9, 3.726483685742343*^9, 
   3.726494792824566*^9, 3.726495113023932*^9, 3.72649532136867*^9, 
   3.726495669501019*^9, 3.7264991963414173`*^9, 3.726499486230558*^9, 
   3.726500048114596*^9, 3.7265004596942997`*^9, 3.726502506387927*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"9", " ", 
     SuperscriptBox["g2", "4"]}], "4"]}], "+", 
  RowBox[{"rho5", " ", "sig2"}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["sig4", "2"]}]}]], "Output",
 CellChangeTimes->{{3.726462058589745*^9, 3.726462110118528*^9}, {
   3.726468367332016*^9, 3.7264683806307096`*^9}, 3.726468699936307*^9, 
   3.726469647178255*^9, 3.7264699969340773`*^9, {3.7264700939679527`*^9, 
   3.726470102030006*^9}, 3.726470558781246*^9, 3.726475503628407*^9, 
   3.7264762745943823`*^9, 3.726478038802544*^9, {3.7264783753943033`*^9, 
   3.726478386066472*^9}, 3.726482388921199*^9, 3.726482935496367*^9, 
   3.72648298830188*^9, 3.7264833940629263`*^9, 3.726483685742343*^9, 
   3.726494792824566*^9, 3.726495113023932*^9, 3.72649532136867*^9, 
   3.726495669501019*^9, 3.7264991963414173`*^9, 3.726499486230558*^9, 
   3.726500048114596*^9, 3.7265004596942997`*^9, 3.726502506393086*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", "sig4", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.726468340084474*^9, 3.726468342419097*^9}, {
  3.726468822125353*^9, 3.7264688222308397`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BetaLijkl", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"Expand", "[", 
          RowBox[{"Bsig4", "/.", " ", 
           RowBox[{"g1", "\[Rule]", 
            RowBox[{
             RowBox[{"Sqrt", "[", 
              RowBox[{"3", "/", "5"}], "]"}], " ", "g1"}]}]}], "]"}]}], "  ", 
        "}"}], "/.", " ", 
       RowBox[{"lam", "\[Rule]", "Lambda1"}]}], " ", "/.", 
      RowBox[{"trace", "\[Rule]", "Times"}]}], " ", "/.", " ", 
     RowBox[{
      RowBox[{"Adj", "[", "x_", "]"}], "\[Rule]", "x"}]}], " ", "/.", " ", 
    RowBox[{"Yu", "\[Rule]", "yt"}]}], " ", "/.", " ", 
   RowBox[{"Yd", "\[Rule]", "yb"}]}], " ", "/.", 
  RowBox[{"Ye", "\[Rule]", "0"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "-", 
  RowBox[{"%", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.726462044231605*^9, 3.726462109570786*^9}, {
   3.726468333390594*^9, 3.7264683372138166`*^9}, 3.7264683800957327`*^9, {
   3.726468698263775*^9, 3.72646869875951*^9}, {3.726468824322628*^9, 
   3.726468826030447*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"27", " ", 
       SuperscriptBox["g1", "2"], " ", "sig4"}], "10"]}], "-", 
    FractionBox[
     RowBox[{"33", " ", 
      SuperscriptBox["g2", "2"], " ", "sig4"}], "2"], "+", 
    RowBox[{"4", " ", "Lambda1", " ", "sig4"}], "+", 
    RowBox[{"4", " ", "rho4", " ", "sig4"}], "-", 
    RowBox[{"2", " ", "rho5", " ", "sig4"}], "+", 
    RowBox[{"4", " ", "sig1", " ", "sig4"}], "+", 
    RowBox[{"4", " ", "sig2", " ", "sig4"}], "+", 
    RowBox[{"8", " ", "sig3", " ", "sig4"}], "+", 
    RowBox[{"6", " ", "sig4", " ", 
     SuperscriptBox["yb", "2"]}], "+", 
    RowBox[{"6", " ", "sig4", " ", 
     SuperscriptBox["yt", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"27", " ", 
       SuperscriptBox["g1", "2"], " ", "sig4"}], "10"]}], "-", 
    FractionBox[
     RowBox[{"33", " ", 
      SuperscriptBox["g2", "2"], " ", "sig4"}], "2"], "+", 
    RowBox[{"4", " ", "Lambda1", " ", "sig4"}], "+", 
    RowBox[{"4", " ", "rho4", " ", "sig4"}], "-", 
    RowBox[{"2", " ", "rho5", " ", "sig4"}], "+", 
    RowBox[{"4", " ", "sig1", " ", "sig4"}], "+", 
    RowBox[{"4", " ", "sig2", " ", "sig4"}], "+", 
    RowBox[{"8", " ", "sig3", " ", "sig4"}], "+", 
    RowBox[{"6", " ", "sig4", " ", 
     SuperscriptBox["yb", "2"]}], "+", 
    RowBox[{"6", " ", "sig4", " ", 
     SuperscriptBox["yt", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726462058589745*^9, 3.726462110118528*^9}, {
   3.726468367332016*^9, 3.7264683806307096`*^9}, 3.726468699936307*^9, 
   3.726468826377644*^9, 3.726469653153989*^9, 3.7264701123652363`*^9, 
   3.7264705596525183`*^9, 3.726475509752007*^9, {3.726478375550583*^9, 
   3.726478383647573*^9}, 3.726482398806014*^9, 3.726482935837557*^9, 
   3.72648299112563*^9, 3.726483397107692*^9, 3.726483686404831*^9, 
   3.726494793117828*^9, 3.726495113322298*^9, 3.7264953216952972`*^9, 
   3.7264956698116407`*^9, 3.726499196607884*^9, 3.726499486654272*^9, 
   3.726500048274165*^9, 3.726500459982445*^9, 3.7265025065661163`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.726462058589745*^9, 3.726462110118528*^9}, {
   3.726468367332016*^9, 3.7264683806307096`*^9}, 3.726468699936307*^9, 
   3.726468826377644*^9, 3.726469653153989*^9, 3.7264701123652363`*^9, 
   3.7264705596525183`*^9, 3.726475509752007*^9, {3.726478375550583*^9, 
   3.726478383647573*^9}, 3.726482398806014*^9, 3.726482935837557*^9, 
   3.72648299112563*^9, 3.726483397107692*^9, 3.726483686404831*^9, 
   3.726494793117828*^9, 3.726495113322298*^9, 3.7264953216952972`*^9, 
   3.7264956698116407`*^9, 3.726499196607884*^9, 3.726499486654272*^9, 
   3.726500048274165*^9, 3.726500459982445*^9, 3.726502506571879*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", "rho1", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.726468542056307*^9, 3.72646854497099*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"BetaLijkl", "[", 
           RowBox[{"[", 
            RowBox[{"10", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"Expand", "[", 
           RowBox[{"Brho1", "/.", " ", 
            RowBox[{"g1", "\[Rule]", 
             RowBox[{
              RowBox[{"Sqrt", "[", 
               RowBox[{"3", "/", "5"}], "]"}], " ", "g1"}]}]}], " ", "]"}]}], 
         "  ", "}"}], "/.", " ", 
        RowBox[{"lam", "\[Rule]", "Lambda1"}]}], " ", "/.", 
       RowBox[{"trace", "\[Rule]", "Times"}]}], " ", "/.", " ", 
      RowBox[{
       RowBox[{"Adj", "[", "x_", "]"}], "\[Rule]", "x"}]}], " ", "/.", " ", 
     RowBox[{"Yu", "\[Rule]", "yt"}]}], " ", "/.", " ", 
    RowBox[{"Yd", "\[Rule]", "yb"}]}], " ", "/.", 
   RowBox[{"Ye", "\[Rule]", "0"}]}], " ", "//", 
  "Expand"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "-", 
  RowBox[{"%", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.726462229661762*^9, 3.726462241926443*^9}, {
  3.726468549576832*^9, 3.726468552517643*^9}, {3.7264687022196207`*^9, 
  3.726468702550508*^9}, {3.7264838485064907`*^9, 3.7264838617420673`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"54", " ", 
      SuperscriptBox["g1", "4"]}], "25"], "-", 
    FractionBox[
     RowBox[{"36", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"]}], "5"], "+", 
    RowBox[{"15", " ", 
     SuperscriptBox["g2", "4"]}], "-", 
    FractionBox[
     RowBox[{"36", " ", 
      SuperscriptBox["g1", "2"], " ", "rho1"}], "5"], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["g2", "2"], " ", "rho1"}], "+", 
    RowBox[{"28", " ", 
     SuperscriptBox["rho1", "2"]}], "+", 
    RowBox[{"24", " ", "rho1", " ", "rho2"}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["rho2", "2"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["rho4", "2"]}], "+", 
    RowBox[{"4", " ", "rho4", " ", "rho5"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["rho5", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["sig1", "2"]}], "+", 
    RowBox[{"2", " ", "sig1", " ", "sig2"}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{"54", " ", 
      SuperscriptBox["g1", "4"]}], "25"], "-", 
    FractionBox[
     RowBox[{"36", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"]}], "5"], "+", 
    RowBox[{"15", " ", 
     SuperscriptBox["g2", "4"]}], "-", 
    FractionBox[
     RowBox[{"36", " ", 
      SuperscriptBox["g1", "2"], " ", "rho1"}], "5"], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["g2", "2"], " ", "rho1"}], "+", 
    RowBox[{"28", " ", 
     SuperscriptBox["rho1", "2"]}], "+", 
    RowBox[{"24", " ", "rho1", " ", "rho2"}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["rho2", "2"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["rho4", "2"]}], "+", 
    RowBox[{"4", " ", "rho4", " ", "rho5"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["rho5", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["sig1", "2"]}], "+", 
    RowBox[{"2", " ", "sig1", " ", "sig2"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7264622329258013`*^9, 3.726462242315262*^9}, 
   3.726468555022435*^9, 3.726468703149633*^9, 3.726469658131668*^9, 
   3.726470115843458*^9, 3.72647055985981*^9, 3.726475520033613*^9, 
   3.72648304516337*^9, 3.7264833995535173`*^9, 3.726483686939866*^9, {
   3.72648385371706*^9, 3.726483862173171*^9}, 3.7264947933913727`*^9, 
   3.72649511361767*^9, 3.726495322065757*^9, 3.7264956701255913`*^9, 
   3.726499196772479*^9, 3.726499487037304*^9, 3.726500048509592*^9, 
   3.72650046027739*^9, 3.726502506754899*^9}],

Cell[BoxData[
 RowBox[{"-", 
  SuperscriptBox["rho5", "2"]}]], "Output",
 CellChangeTimes->{{3.7264622329258013`*^9, 3.726462242315262*^9}, 
   3.726468555022435*^9, 3.726468703149633*^9, 3.726469658131668*^9, 
   3.726470115843458*^9, 3.72647055985981*^9, 3.726475520033613*^9, 
   3.72648304516337*^9, 3.7264833995535173`*^9, 3.726483686939866*^9, {
   3.72648385371706*^9, 3.726483862173171*^9}, 3.7264947933913727`*^9, 
   3.72649511361767*^9, 3.726495322065757*^9, 3.7264956701255913`*^9, 
   3.726499196772479*^9, 3.726499487037304*^9, 3.726500048509592*^9, 
   3.72650046027739*^9, 3.7265025067604628`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", "rho2", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.726468473107877*^9, 3.726468475999302*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"BetaLijkl", "[", 
           RowBox[{"[", 
            RowBox[{"7", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"Expand", "[", 
           RowBox[{"Brho2", "/.", " ", 
            RowBox[{"g1", "\[Rule]", 
             RowBox[{
              RowBox[{"Sqrt", "[", 
               RowBox[{"3", "/", "5"}], "]"}], " ", "g1"}]}]}], "  ", "]"}]}],
          "  ", "}"}], "/.", " ", 
        RowBox[{"lam", "\[Rule]", "Lambda1"}]}], " ", "/.", 
       RowBox[{"trace", "\[Rule]", "Times"}]}], " ", "/.", " ", 
      RowBox[{
       RowBox[{"Adj", "[", "x_", "]"}], "\[Rule]", "x"}]}], " ", "/.", " ", 
     RowBox[{"Yu", "\[Rule]", "yt"}]}], " ", "/.", " ", 
    RowBox[{"Yd", "\[Rule]", "yb"}]}], " ", "/.", 
   RowBox[{"Ye", "\[Rule]", "0"}]}], " ", "//", 
  "Expand"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "-", 
  RowBox[{"%", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.726462198812894*^9, 3.726462202410638*^9}, {
  3.726468479919125*^9, 3.726468488347417*^9}, {3.726468706461669*^9, 
  3.726468706881908*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"72", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"]}], "5"], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["g2", "4"]}], "-", 
    FractionBox[
     RowBox[{"36", " ", 
      SuperscriptBox["g1", "2"], " ", "rho2"}], "5"], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["g2", "2"], " ", "rho2"}], "+", 
    RowBox[{"24", " ", "rho1", " ", "rho2"}], "+", 
    RowBox[{"18", " ", 
     SuperscriptBox["rho2", "2"]}], "+", 
    SuperscriptBox["sig2", "2"]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{"72", " ", 
      SuperscriptBox["g1", "2"], " ", 
      SuperscriptBox["g2", "2"]}], "5"], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["g2", "4"]}], "-", 
    FractionBox[
     RowBox[{"36", " ", 
      SuperscriptBox["g1", "2"], " ", "rho2"}], "5"], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["g2", "2"], " ", "rho2"}], "+", 
    RowBox[{"24", " ", "rho1", " ", "rho2"}], "+", 
    RowBox[{"18", " ", 
     SuperscriptBox["rho2", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["rho5", "2"]}], "+", 
    SuperscriptBox["sig2", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.726462202884527*^9, {3.726468483147171*^9, 3.726468488851584*^9}, 
   3.726468707279504*^9, 3.726469660772336*^9, 3.726470118626297*^9, 
   3.726470560066469*^9, 3.72647552417446*^9, 3.726483051136067*^9, 
   3.726483404032181*^9, 3.726483687345277*^9, 3.726494793701145*^9, 
   3.726495113926688*^9, 3.726495322344265*^9, 3.726495670420806*^9, 
   3.7264991969481573`*^9, 3.7264994874205027`*^9, 3.726500048660071*^9, 
   3.726500460548431*^9, 3.72650250693363*^9}],

Cell[BoxData[
 RowBox[{"2", " ", 
  SuperscriptBox["rho5", "2"]}]], "Output",
 CellChangeTimes->{
  3.726462202884527*^9, {3.726468483147171*^9, 3.726468488851584*^9}, 
   3.726468707279504*^9, 3.726469660772336*^9, 3.726470118626297*^9, 
   3.726470560066469*^9, 3.72647552417446*^9, 3.726483051136067*^9, 
   3.726483404032181*^9, 3.726483687345277*^9, 3.726494793701145*^9, 
   3.726495113926688*^9, 3.726495322344265*^9, 3.726495670420806*^9, 
   3.7264991969481573`*^9, 3.7264994874205027`*^9, 3.726500048660071*^9, 
   3.726500460548431*^9, 3.726502506938911*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", "rho3", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.726468322069399*^9, 3.72646832478445*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"BetaLijkl", "[", 
     RowBox[{"[", 
      RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Brho3", "/.", " ", 
            RowBox[{"g1", "\[Rule]", 
             RowBox[{
              RowBox[{"Sqrt", "[", 
               RowBox[{"3", "/", "5"}], "]"}], " ", "g1"}]}]}], "  ", "]"}], 
          " ", "/.", " ", 
          RowBox[{"lam", "\[Rule]", "Lambda1"}]}], " ", "/.", 
         RowBox[{"trace", "\[Rule]", "Times"}]}], " ", "/.", " ", 
        RowBox[{
         RowBox[{"Adj", "[", "x_", "]"}], "\[Rule]", "x"}]}], " ", "/.", " ", 
       
       RowBox[{"Yu", "\[Rule]", "yt"}]}], " ", "/.", " ", 
      RowBox[{"Yd", "\[Rule]", "yb"}]}], " ", "/.", 
     RowBox[{"Ye", "\[Rule]", "0"}]}]}], " ", "}"}], " ", "//", 
  "Expand"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "-", 
  RowBox[{"%", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.726461927075687*^9, 3.726462006487115*^9}, {
  3.726468284089162*^9, 3.726468299913142*^9}, {3.726468710114262*^9, 
  3.726468710459916*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"3", " ", 
      SuperscriptBox["g2", "4"]}], "4"], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["g2", "2"], " ", "rho3"}], "+", 
    RowBox[{"44", " ", 
     SuperscriptBox["rho3", "2"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["rho4", "2"]}], "+", 
    RowBox[{"4", " ", "rho4", " ", "rho5"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["rho5", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["sig3", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"6", " ", 
     SuperscriptBox["g2", "4"]}], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["g2", "2"], " ", "rho3"}], "+", 
    RowBox[{"44", " ", 
     SuperscriptBox["rho3", "2"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["rho4", "2"]}], "+", 
    RowBox[{"4", " ", "rho4", " ", "rho5"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["rho5", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["sig3", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726461932946844*^9, 3.726461981686777*^9}, {
   3.726468292812626*^9, 3.726468300452114*^9}, 3.726468711020267*^9, 
   3.7264696638921213`*^9, 3.7264701214802513`*^9, 3.726470560379191*^9, 
   3.726475526824514*^9, 3.726483066507141*^9, 3.7264834125077467`*^9, 
   3.72648368879667*^9, 3.7264947941211452`*^9, 3.7264951142224483`*^9, 
   3.726495322610862*^9, 3.726495670726203*^9, 3.726499197115988*^9, 
   3.726499487870921*^9, 3.726500048810727*^9, 3.726500460815613*^9, 
   3.726502507139324*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"21", " ", 
    SuperscriptBox["g2", "4"]}], "4"]}]], "Output",
 CellChangeTimes->{{3.726461932946844*^9, 3.726461981686777*^9}, {
   3.726468292812626*^9, 3.726468300452114*^9}, 3.726468711020267*^9, 
   3.7264696638921213`*^9, 3.7264701214802513`*^9, 3.726470560379191*^9, 
   3.726475526824514*^9, 3.726483066507141*^9, 3.7264834125077467`*^9, 
   3.72648368879667*^9, 3.7264947941211452`*^9, 3.7264951142224483`*^9, 
   3.726495322610862*^9, 3.726495670726203*^9, 3.726499197115988*^9, 
   3.726499487870921*^9, 3.726500048810727*^9, 3.726500460815613*^9, 
   3.726502507143897*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", "rho4", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.726468525269187*^9, 3.72646852681715*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"BetaLijkl", "[", 
           RowBox[{"[", 
            RowBox[{"9", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"Expand", "[", 
           RowBox[{"Brho4", "/.", " ", 
            RowBox[{"g1", "\[Rule]", 
             RowBox[{
              RowBox[{"Sqrt", "[", 
               RowBox[{"3", "/", "5"}], "]"}], " ", "g1"}]}]}], " ", "]"}]}], 
         "  ", "}"}], "/.", " ", 
        RowBox[{"lam", "\[Rule]", "Lambda1"}]}], " ", "/.", 
       RowBox[{"trace", "\[Rule]", "Times"}]}], " ", "/.", " ", 
      RowBox[{
       RowBox[{"Adj", "[", "x_", "]"}], "\[Rule]", "x"}]}], " ", "/.", " ", 
     RowBox[{"Yu", "\[Rule]", "yt"}]}], " ", "/.", " ", 
    RowBox[{"Yd", "\[Rule]", "yb"}]}], " ", "/.", 
   RowBox[{"Ye", "\[Rule]", "0"}]}], " ", "//", 
  "Expand"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "-", 
  RowBox[{"%", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7264622193921957`*^9, 3.726462224625421*^9}, {
  3.726468530426157*^9, 3.726468535396913*^9}, {3.726468715019635*^9, 
  3.726468715402307*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"3", " ", 
     SuperscriptBox["g2", "4"]}], "-", 
    FractionBox[
     RowBox[{"18", " ", 
      SuperscriptBox["g1", "2"], " ", "rho4"}], "5"], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["g2", "2"], " ", "rho4"}], "+", 
    RowBox[{"16", " ", "rho1", " ", "rho4"}], "+", 
    RowBox[{"12", " ", "rho2", " ", "rho4"}], "+", 
    RowBox[{"20", " ", "rho3", " ", "rho4"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["rho4", "2"]}], "+", 
    RowBox[{"4", " ", "rho1", " ", "rho5"}], "+", 
    RowBox[{"4", " ", "rho2", " ", "rho5"}], "+", 
    RowBox[{"4", " ", "rho3", " ", "rho5"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["rho5", "2"]}], "+", 
    RowBox[{"4", " ", "sig1", " ", "sig3"}], "+", 
    RowBox[{"2", " ", "sig2", " ", "sig3"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["sig4", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"6", " ", 
     SuperscriptBox["g2", "4"]}], "-", 
    FractionBox[
     RowBox[{"18", " ", 
      SuperscriptBox["g1", "2"], " ", "rho4"}], "5"], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["g2", "2"], " ", "rho4"}], "+", 
    RowBox[{"16", " ", "rho1", " ", "rho4"}], "+", 
    RowBox[{"12", " ", "rho2", " ", "rho4"}], "+", 
    RowBox[{"20", " ", "rho3", " ", "rho4"}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["rho4", "2"]}], "+", 
    RowBox[{"4", " ", "rho1", " ", "rho5"}], "+", 
    RowBox[{"4", " ", "rho2", " ", "rho5"}], "+", 
    RowBox[{"4", " ", "rho3", " ", "rho5"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["rho5", "2"]}], "+", 
    RowBox[{"4", " ", "sig1", " ", "sig3"}], "+", 
    RowBox[{"2", " ", "sig2", " ", "sig3"}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["sig4", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.726462225063505*^9, 3.726468535860449*^9, 
  3.726468715817567*^9, 3.726469666475802*^9, 3.726470123783217*^9, 
  3.726470560608432*^9, 3.726475530799809*^9, 3.726483071138736*^9, 
  3.726483419277706*^9, 3.7264836892130203`*^9, 3.726494794555653*^9, 
  3.726495114543721*^9, 3.726495322876992*^9, 3.7264956710270653`*^9, 
  3.726499197280018*^9, 3.726499488254613*^9, 3.726500048961418*^9, 
  3.726500461090049*^9, 3.726502507320025*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "3"}], " ", 
  SuperscriptBox["g2", "4"]}]], "Output",
 CellChangeTimes->{3.726462225063505*^9, 3.726468535860449*^9, 
  3.726468715817567*^9, 3.726469666475802*^9, 3.726470123783217*^9, 
  3.726470560608432*^9, 3.726475530799809*^9, 3.726483071138736*^9, 
  3.726483419277706*^9, 3.7264836892130203`*^9, 3.726494794555653*^9, 
  3.726495114543721*^9, 3.726495322876992*^9, 3.7264956710270653`*^9, 
  3.726499197280018*^9, 3.726499488254613*^9, 3.726500048961418*^9, 
  3.726500461090049*^9, 3.72650250732517*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", "rho5", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.726468502675703*^9, 3.7264685060134907`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"BetaLijkl", "[", 
           RowBox[{"[", 
            RowBox[{"8", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"Expand", "[", 
           RowBox[{"Brho5", " ", "/.", " ", 
            RowBox[{"g1", "\[Rule]", 
             RowBox[{
              RowBox[{"Sqrt", "[", 
               RowBox[{"3", "/", "5"}], "]"}], " ", "g1"}]}]}], "  ", "]"}]}],
          "  ", "}"}], "/.", " ", 
        RowBox[{"lam", "\[Rule]", "Lambda1"}]}], " ", "/.", 
       RowBox[{"trace", "\[Rule]", "Times"}]}], " ", "/.", " ", 
      RowBox[{
       RowBox[{"Adj", "[", "x_", "]"}], "\[Rule]", "x"}]}], " ", "/.", " ", 
     RowBox[{"Yu", "\[Rule]", "yt"}]}], " ", "/.", " ", 
    RowBox[{"Yd", "\[Rule]", "yb"}]}], " ", "/.", 
   RowBox[{"Ye", "\[Rule]", "0"}]}], " ", "//", 
  "Expand"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "-", 
  RowBox[{"%", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.726462208100493*^9, 3.726462211737245*^9}, {
  3.72646851215197*^9, 3.7264685211829023`*^9}, {3.72646871788277*^9, 
  3.726468718100499*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"3", " ", 
       SuperscriptBox["g2", "4"]}], "2"]}], "-", 
    FractionBox[
     RowBox[{"18", " ", 
      SuperscriptBox["g1", "2"], " ", "rho5"}], "5"], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["g2", "2"], " ", "rho5"}], "+", 
    RowBox[{"4", " ", "rho1", " ", "rho5"}], "+", 
    RowBox[{"4", " ", "rho2", " ", "rho5"}], "+", 
    RowBox[{"8", " ", "rho3", " ", "rho5"}], "+", 
    RowBox[{"16", " ", "rho4", " ", "rho5"}], "+", 
    RowBox[{"10", " ", 
     SuperscriptBox["rho5", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["sig4", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"6", " ", 
     SuperscriptBox["g2", "4"]}], "-", 
    FractionBox[
     RowBox[{"18", " ", 
      SuperscriptBox["g1", "2"], " ", "rho5"}], "5"], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["g2", "2"], " ", "rho5"}], "+", 
    RowBox[{"4", " ", "rho1", " ", "rho5"}], "+", 
    RowBox[{"8", " ", "rho3", " ", "rho5"}], "+", 
    RowBox[{"16", " ", "rho4", " ", "rho5"}], "+", 
    RowBox[{"10", " ", 
     SuperscriptBox["rho5", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["sig4", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.726462213591879*^9, {3.726468515844576*^9, 3.7264685216344833`*^9}, 
   3.726468718588607*^9, 3.72646966884203*^9, 3.726470127455106*^9, 
   3.72647056082782*^9, 3.726475534872674*^9, 3.726483076155448*^9, 
   3.726483428783504*^9, 3.726483689684593*^9, 3.7264947948372707`*^9, 
   3.726495114828022*^9, 3.72649532315073*^9, 3.7264956713250933`*^9, 
   3.726499197449654*^9, 3.726499488631075*^9, 3.726500049113443*^9, 
   3.7265004613627377`*^9, 3.726502507520137*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"15", " ", 
     SuperscriptBox["g2", "4"]}], "2"]}], "+", 
  RowBox[{"4", " ", "rho2", " ", "rho5"}]}]], "Output",
 CellChangeTimes->{
  3.726462213591879*^9, {3.726468515844576*^9, 3.7264685216344833`*^9}, 
   3.726468718588607*^9, 3.72646966884203*^9, 3.726470127455106*^9, 
   3.72647056082782*^9, 3.726475534872674*^9, 3.726483076155448*^9, 
   3.726483428783504*^9, 3.726483689684593*^9, 3.7264947948372707`*^9, 
   3.726495114828022*^9, 3.72649532315073*^9, 3.7264956713250933`*^9, 
   3.726499197449654*^9, 3.726499488631075*^9, 3.726500049113443*^9, 
   3.7265004613627377`*^9, 3.726502507525111*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Invariants", "[", 
  RowBox[{"SU2", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "2", "}"}], ",", 
     RowBox[{"{", "2", "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.726468967905238*^9, 3.726468984030818*^9}, {
   3.7264690216239767`*^9, 3.726469037627308*^9}, 3.726471026126348*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", "3", "]"}], " ", 
    RowBox[{"b", "[", "1", "]"}]}], "-", 
   RowBox[{
    RowBox[{"a", "[", "2", "]"}], " ", 
    RowBox[{"b", "[", "2", "]"}]}], "+", 
   RowBox[{
    RowBox[{"a", "[", "1", "]"}], " ", 
    RowBox[{"b", "[", "3", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7264689786197367`*^9, 3.726468984708568*^9}, {
   3.7264690219834967`*^9, 3.72646903790757*^9}, 3.7264710269088593`*^9, 
   3.726483691049066*^9, 3.726494795091633*^9, 3.726495115100197*^9, 
   3.7264953234176397`*^9, 3.726495671605888*^9, 3.7264991976157513`*^9, 
   3.7264994889307404`*^9, 3.7265000492155323`*^9, 3.726500461623456*^9, 
   3.7265025076941423`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv4", "=", 
  RowBox[{"Invariants", "[", 
   RowBox[{"SU2", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "2", "}"}]}], "}"}], ",", 
    RowBox[{"Conjugations", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False", ",", "True", ",", "False"}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.726471035307604*^9, 3.7264710696752033`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["5"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "-", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["5"]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "-", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["5"]], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["5"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["5"]], "-", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     SqrtBox["5"]], "-", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     SqrtBox["5"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726471049496758*^9, 3.726471070435885*^9}, 
   3.726474592959629*^9, 3.726483691738874*^9, 3.726494795360291*^9, 
   3.726495115394347*^9, 3.726495323687479*^9, 3.726495671917727*^9, 
   3.726499197734483*^9, 3.7264994893196087`*^9, 3.726500049307446*^9, 
   3.726500461868478*^9, 3.7265025078611593`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv3333", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"inv4", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.726470279648097*^9, 3.726470334282339*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.726470282766531*^9, {3.726470323567708*^9, 3.726470334659754*^9}, 
   3.72647071932207*^9, 3.726494795619349*^9, 3.7264951156735687`*^9, 
   3.7264953239509172`*^9, 3.726495672222692*^9, 3.726499197841893*^9, 
   3.726499489628046*^9, 3.7265000494599667`*^9, 3.726500462106043*^9, 
   3.7265025080244837`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv3333", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"2", "/", 
              RowBox[{"Sqrt", "[", "3", "]"}]}], 
             RowBox[{"inv4", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.726470335179076*^9, 3.7264703368006144`*^9}, {
  3.726470728766818*^9, 3.726470744428381*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.726470337108885*^9, {3.7264707327678022`*^9, 3.726470744952215*^9}, 
   3.726474599199526*^9, 3.7264947958678007`*^9, 3.726495115986566*^9, 
   3.726495324220941*^9, 3.726495672500062*^9, 3.726499197940297*^9, 
   3.726499489925188*^9, 3.726500049552157*^9, 3.726500462369276*^9, 
   3.726502508183852*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv3333", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Sqrt", "[", "5", "]"}], " ", "2", 
             RowBox[{"inv4", "[", 
              RowBox[{"[", "3", "]"}], "]"}]}], ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.726470773728882*^9, 3.726470790351016*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "3"}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"6", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "3", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "3"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "4", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "2"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "3"}], ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "3", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "6"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "3"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.72647077560365*^9, 3.726470791172658*^9}, 
   3.7264947961230288`*^9, 3.726495116279448*^9, 3.726495324486062*^9, 
   3.726495672779933*^9, 3.726499198094418*^9, 3.726499490719466*^9, 
   3.726500049652363*^9, 3.726500462610518*^9, 3.726502508351182*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv2332", "=", 
  RowBox[{"Invariants", "[", 
   RowBox[{"SU2", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "1", "}"}]}], "}"}], ",", 
    RowBox[{"Conjugations", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False", ",", "False", ",", "True"}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7264714654894323`*^9, 3.7264714807673492`*^9}, {
  3.726494867527478*^9, 3.72649487269865*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["6"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["3", "2"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["3", "2"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["6"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726471473227892*^9, 3.7264714811202917`*^9}, 
   3.726477790066029*^9, 3.726494796380254*^9, 3.7264948733620033`*^9, 
   3.7264951165644817`*^9, 3.726495324752451*^9, 3.726495673083424*^9, 
   3.726499198157089*^9, 3.7264994911177*^9, 3.726500049802617*^9, 
   3.726500462866747*^9, 3.7265025085431747`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Mat2332", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"Sqrt", "[", "3", "]"}], 
             RowBox[{"inv2332", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7264714880617733`*^9, 3.7264715332306843`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          SqrtBox["2"]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "2"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SqrtBox["2"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          SqrtBox["2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         SqrtBox["2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726471502199419*^9, 3.726471533866747*^9}, 
   3.7264777939133987`*^9, 3.7264947966499166`*^9, 3.726494875674611*^9, 
   3.7264951168630733`*^9, 3.726495325015073*^9, 3.726495673372353*^9, 
   3.726499198254887*^9, 3.7264994914558907`*^9, 3.726500049843771*^9, 
   3.726500463121304*^9, 3.7265025087099543`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv2332", "=", 
  RowBox[{"Invariants", "[", 
   RowBox[{"SU2", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "1", "}"}]}], "}"}], ",", 
    RowBox[{"Conjugations", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False", ",", "False", ",", "True"}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7264714654894323`*^9, 3.7264714807673492`*^9}, {
  3.726471603980665*^9, 3.726471605820715*^9}, {3.726476012303475*^9, 
  3.726476014744501*^9}, {3.726478199693344*^9, 3.726478200435589*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["6"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["3", "2"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["3", "2"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["6"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726471473227892*^9, 3.7264714811202917`*^9}, 
   3.726471606345952*^9, 3.726475869107885*^9, 3.726476016179496*^9, {
   3.7264781853547792`*^9, 3.72647820135641*^9}, 3.726494796920492*^9, 
   3.72649511717848*^9, 3.726495325286736*^9, 3.726495673661676*^9, 
   3.726499198409008*^9, 3.72649949179032*^9, 3.726500049937853*^9, 
   3.726500463401074*^9, 3.7265025088718023`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Mat2332", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"Sqrt", "[", "3", "]"}], 
             RowBox[{"inv2332", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7264714880617733`*^9, 3.7264715332306843`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          SqrtBox["2"]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "2"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SqrtBox["2"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          SqrtBox["2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         SqrtBox["2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726471502199419*^9, 3.726471533866747*^9}, 
   3.7264716092150793`*^9, 3.7264758763755302`*^9, 3.726476020693696*^9, {
   3.7264781869202137`*^9, 3.726478203523847*^9}, 3.726494797180666*^9, 
   3.726495117478437*^9, 3.726495325550905*^9, 3.726495673958468*^9, 
   3.7264991984561253`*^9, 3.7264994921828547`*^9, 3.7265000500332317`*^9, 
   3.726500463660578*^9, 3.726502509033341*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv2332", "=", 
  RowBox[{"Invariants", "[", 
   RowBox[{"SU2", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "1", "}"}]}], "}"}], ",", 
    RowBox[{"Conjugations", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"False", ",", "False", ",", "False", ",", "False"}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7264714654894323`*^9, 3.7264714807673492`*^9}, {
  3.726471603980665*^9, 3.726471605820715*^9}, {3.726483115162794*^9, 
  3.726483117558897*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      SqrtBox[
       FractionBox["3", "2"]]}], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["6"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["6"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["3", "2"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726471473227892*^9, 3.7264714811202917`*^9}, 
   3.726471606345952*^9, 3.726475869107885*^9, 3.726483118115521*^9, 
   3.726494593136445*^9, 3.726494797442572*^9, 3.726495117776977*^9, 
   3.726495325815398*^9, 3.726495674263781*^9, 3.726499198560121*^9, 
   3.726499492513307*^9, 3.7265000501240597`*^9, 3.7265004639253197`*^9, 
   3.726502509196496*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Mat2332", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"Sqrt", "[", "3", "]"}], 
             RowBox[{"inv2332", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7264714880617733`*^9, 3.7264715332306843`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SqrtBox["2"], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          SqrtBox["2"]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         SqrtBox["2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          SqrtBox["2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726471502199419*^9, 3.726471533866747*^9}, 
   3.7264716092150793`*^9, 3.7264758763755302`*^9, 3.726483122899624*^9, 
   3.7264945953823633`*^9, 3.726494797703421*^9, 3.7264951180708447`*^9, 
   3.726495326081223*^9, 3.726495674540098*^9, 3.7264991987212763`*^9, 
   3.7264994927950563`*^9, 3.726500050221858*^9, 3.726500464189227*^9, 
   3.726502509367844*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv2332", "=", 
  RowBox[{"Invariants", "[", 
   RowBox[{"SU2", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "1", "}"}]}], "}"}], ",", 
    RowBox[{"Conjugations", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False", ",", "False", ",", "False"}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7264714654894323`*^9, 3.7264714807673492`*^9}, {
  3.726471603980665*^9, 3.726471605820715*^9}, {3.7264760711431627`*^9, 
  3.72647607339819*^9}, {3.7264943184994373`*^9, 3.726494321982553*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "-", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]]}], ",", 
   RowBox[{
    RowBox[{
     SqrtBox[
      FractionBox["3", "2"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["6"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["3"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["6"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["3"]], "-", 
    RowBox[{
     SqrtBox[
      FractionBox["2", "3"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     SqrtBox[
      FractionBox["3", "2"]], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726471473227892*^9, 3.7264714811202917`*^9}, 
   3.726471606345952*^9, 3.726475869107885*^9, 3.726476074203663*^9, 
   3.726494322531561*^9, 3.726494797951824*^9, 3.7264951183899612`*^9, 
   3.726495326358075*^9, 3.726495674840728*^9, 3.726499198829191*^9, 
   3.726499493135634*^9, 3.726500050321114*^9, 3.726500464867015*^9, 
   3.7265025095496187`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Mat2332", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"Sqrt", "[", "3", "]"}], 
             RowBox[{"inv2332", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7264714880617733`*^9, 3.7264715332306843`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         SqrtBox["2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          SqrtBox["2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          SqrtBox["2"]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "2"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SqrtBox["2"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726471502199419*^9, 3.726471533866747*^9}, 
   3.7264716092150793`*^9, 3.7264758763755302`*^9, 3.726476080103771*^9, 
   3.7264943263963213`*^9, 3.726494798237212*^9, 3.726495118678258*^9, 
   3.726495326622509*^9, 3.7264956751197844`*^9, 3.726499198931582*^9, 
   3.726499493414999*^9, 3.726500050506934*^9, 3.72650046506172*^9, 
   3.726502509710925*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv4", "=", 
  RowBox[{"Invariants", "[", 
   RowBox[{"SU2", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "2", "}"}]}], "}"}], ",", 
    RowBox[{"Conjugations", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False", ",", "True", ",", "False"}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.726471035307604*^9, 3.7264710696752033`*^9}, {
  3.726474634103908*^9, 3.72647463803146*^9}, {3.7264984796401453`*^9, 
  3.726498484400395*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}]}], ",", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "1", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "2", "]"}], " ", 
     RowBox[{"c", "[", "2", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"b", "[", "1", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SqrtBox["3"], " ", 
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}]}], ",", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["5"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "-", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "1", "]"}]}], 
     SqrtBox["5"]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "-", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["5"]], "+", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["5"]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     SqrtBox["5"]], "-", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "2", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "1", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     SqrtBox["5"]], "-", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "2", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], " ", 
      RowBox[{"b", "[", "1", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], " ", 
      RowBox[{"b", "[", "2", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     SqrtBox["5"]], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"a", "[", "3", "]"}], " ", 
      RowBox[{"b", "[", "3", "]"}], " ", 
      RowBox[{"c", "[", "3", "]"}], " ", 
      RowBox[{"d", "[", "3", "]"}]}], 
     RowBox[{"2", " ", 
      SqrtBox["5"]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726471049496758*^9, 3.726471070435885*^9}, 
   3.726474592959629*^9, 3.726474638436631*^9, 3.726494798497305*^9, 
   3.7264951189803543`*^9, 3.726495326893355*^9, 3.726495675441345*^9, 
   3.7264984853546057`*^9, 3.7264991990471897`*^9, 3.7264994937032433`*^9, 
   3.726500050622754*^9, 3.726500465281035*^9, 3.72650250988435*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv3333", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"inv4", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.726470279648097*^9, 3.726470334282339*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.726470282766531*^9, {3.726470323567708*^9, 3.726470334659754*^9}, 
   3.72647071932207*^9, 3.7264746928287973`*^9, 3.726494798763262*^9, 
   3.726495119277183*^9, 3.726495327156406*^9, 3.726495675729416*^9, 
   3.726499199149747*^9, 3.726499493984622*^9, 3.726500050715398*^9, 
   3.726500465513545*^9, 3.7265025100581217`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv3333", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"2", "/", 
              RowBox[{"Sqrt", "[", "3", "]"}]}], 
             RowBox[{"inv4", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.726470335179076*^9, 3.7264703368006144`*^9}, {
  3.726470728766818*^9, 3.726470744428381*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.726470337108885*^9, {3.7264707327678022`*^9, 3.726470744952215*^9}, 
   3.726474599199526*^9, 3.726494799031064*^9, 3.7264951195858297`*^9, 
   3.726495327439872*^9, 3.726495676005691*^9, 3.726499199257598*^9, 
   3.726499494325924*^9, 3.7265000508642263`*^9, 3.726500465723854*^9, 
   3.726502510241012*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv3333", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Sqrt", "[", "5", "]"}], " ", "2", 
             RowBox[{"inv4", "[", 
              RowBox[{"[", "3", "]"}], "]"}]}], ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.726470773728882*^9, 3.726470790351016*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "3"}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"6", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "3", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "3"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "4", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "2"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "3"}], ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "3", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "6"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "3"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.72647077560365*^9, 3.726470791172658*^9}, 
   3.726494799290804*^9, 3.726495119881756*^9, 3.7264953277059803`*^9, 
   3.726495676383853*^9, 3.726499199355728*^9, 3.7264994946022263`*^9, 
   3.726500050912931*^9, 3.726500465939302*^9, 3.726502510412628*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv2332", "=", 
  RowBox[{"Invariants", "[", 
   RowBox[{"SU2", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "2", "}"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.726482456125863*^9, 3.7264824652635727`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", "3", "]"}], " ", 
    RowBox[{"b", "[", "1", "]"}]}], "-", 
   RowBox[{
    RowBox[{"a", "[", "2", "]"}], " ", 
    RowBox[{"b", "[", "2", "]"}]}], "+", 
   RowBox[{
    RowBox[{"a", "[", "1", "]"}], " ", 
    RowBox[{"b", "[", "3", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.726482465790358*^9, 3.7264947993026953`*^9, 
  3.726495119895339*^9, 3.7264953277179337`*^9, 3.726495676731762*^9, 
  3.7264991994577923`*^9, 3.7264994948817053`*^9, 3.726500051003188*^9, 
  3.72650046595413*^9, 3.726502510593581*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"etfA", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"a", "[", "1", "]"}], "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
      RowBox[{
       RowBox[{"a", "[", "2", "]"}], "+", 
       RowBox[{"I", " ", 
        RowBox[{"a", "[", "3", "]"}]}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"a", "[", "2", "]"}], "-", 
       RowBox[{"I", " ", 
        RowBox[{"a", "[", "3", "]"}]}]}], ",", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"a", "[", "1", "]"}]}], "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.726482584083761*^9, 3.7264825879621077`*^9}, {
   3.726499749473962*^9, 3.726499781338059*^9}, {3.72650008997956*^9, 
   3.726500095959001*^9}, 3.726500246590682*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"a", "[", "1", "]"}], 
      SqrtBox["2"]], ",", 
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], "+", 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"a", "[", "3", "]"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "2", "]"}], "-", 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"a", "[", "3", "]"}]}]}], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"a", "[", "1", "]"}], 
       SqrtBox["2"]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.726482588333354*^9, 3.726494799556547*^9, 
  3.726495120190243*^9, 3.726495327979661*^9, 3.726495676740735*^9, 
  3.726499199518825*^9, 3.726499495159945*^9, 3.726499781795965*^9, 
  3.7264998153829613`*^9, 3.726500051098279*^9, 3.726500096520569*^9, 
  3.7265002473552732`*^9, 3.7265004661600018`*^9, 3.726502510605588*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"etfA", "=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Sigma", "[", 
      RowBox[{"[", "i", "]"}], "]"}], " ", 
     RowBox[{"a", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.726500251001452*^9, 3.726500283261842*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "[", "3", "]"}], ",", 
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], "-", 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"a", "[", "2", "]"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"a", "[", "1", "]"}], "+", 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"a", "[", "2", "]"}]}]}], ",", 
     RowBox[{"-", 
      RowBox[{"a", "[", "3", "]"}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.726500252024399*^9, 3.726500283979885*^9, 
  3.726500466368237*^9, 3.726502510769968*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"etfB", "=", 
   RowBox[{"etfA", "/.", 
    RowBox[{"a", "\[Rule]", "b"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"etfC", "=", 
   RowBox[{"etfA", "/.", 
    RowBox[{"a", "\[Rule]", "c"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"etfD", "=", 
   RowBox[{"etfA", "/.", 
    RowBox[{"a", "\[Rule]", "d"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7264997990758553`*^9, 3.726499812294622*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv", "=", 
  RowBox[{"Tr", "[", 
   RowBox[{"etfA", ".", "etfB", ".", "etfC", ".", "etfD"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.726499843604266*^9, 3.726499849838698*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "1", "]"}], "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"a", "[", "2", "]"}]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"b", "[", "1", "]"}], "-", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"b", "[", "2", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"a", "[", "3", "]"}], " ", 
         RowBox[{"b", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"c", "[", "1", "]"}], "+", 
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"c", "[", "2", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"a", "[", "3", "]"}]}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"b", "[", "1", "]"}], "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"b", "[", "2", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "1", "]"}], "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"a", "[", "2", "]"}]}]}], ")"}], " ", 
         RowBox[{"b", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{"c", "[", "3", "]"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"d", "[", "1", "]"}], "-", 
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"d", "[", "2", "]"}]}]}], ")"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "1", "]"}], "-", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"a", "[", "2", "]"}]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"b", "[", "1", "]"}], "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"b", "[", "2", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"a", "[", "3", "]"}], " ", 
         RowBox[{"b", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"c", "[", "1", "]"}], "-", 
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"c", "[", "2", "]"}]}]}], ")"}]}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", "3", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"b", "[", "1", "]"}], "-", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"b", "[", "2", "]"}]}]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "1", "]"}], "-", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"a", "[", "2", "]"}]}]}], ")"}], " ", 
         RowBox[{"b", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{"c", "[", "3", "]"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"d", "[", "1", "]"}], "+", 
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"d", "[", "2", "]"}]}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"a", "[", "3", "]"}]}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"b", "[", "1", "]"}], "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"b", "[", "2", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "1", "]"}], "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"a", "[", "2", "]"}]}]}], ")"}], " ", 
         RowBox[{"b", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"c", "[", "1", "]"}], "-", 
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"c", "[", "2", "]"}]}]}], ")"}]}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "1", "]"}], "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"a", "[", "2", "]"}]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"b", "[", "1", "]"}], "-", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"b", "[", "2", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"a", "[", "3", "]"}], " ", 
         RowBox[{"b", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{"c", "[", "3", "]"}]}]}], ")"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", "3", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"b", "[", "1", "]"}], "-", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"b", "[", "2", "]"}]}]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "1", "]"}], "-", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"a", "[", "2", "]"}]}]}], ")"}], " ", 
         RowBox[{"b", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"c", "[", "1", "]"}], "+", 
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"c", "[", "2", "]"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", "[", "1", "]"}], "-", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"a", "[", "2", "]"}]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"b", "[", "1", "]"}], "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"b", "[", "2", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"a", "[", "3", "]"}], " ", 
         RowBox[{"b", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{"c", "[", "3", "]"}]}]}], ")"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}]}]], "Output",
 CellChangeTimes->{3.7264998502633057`*^9, 3.726500051244753*^9, 
  3.726500098817111*^9, 3.7265002873195133`*^9, 3.726500466583994*^9, 
  3.726502510968351*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv3333", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{"inv", ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "3"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "2"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "2", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "2"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "2"}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7264998629506683`*^9, 3.7265000513363523`*^9, 
  3.7265001000029078`*^9, 3.726500289921897*^9, 3.726500466796824*^9, 
  3.726502511127922*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{"etf", ".", "etf"}], "]"}], " ", "/.", " ", 
  RowBox[{"etaM", "\[Rule]", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"Sqrt", "[", "2", "]"}]}], 
    RowBox[{"(", 
     RowBox[{"f1", "+", 
      RowBox[{"I", " ", "f2"}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.72648258928681*^9, 3.726482641109487*^9}}],

Cell[BoxData[
 RowBox[{"Tr", "[", 
  RowBox[{"etf", ".", "etf"}], "]"}]], "Output",
 CellChangeTimes->{3.726482597724168*^9, 3.7264826414835653`*^9, 
  3.726494799831758*^9, 3.72649512046693*^9, 3.72649532824811*^9, 
  3.726495677038074*^9, 3.7264991995636787`*^9, 3.7264994954978733`*^9, 
  3.7265000515410147`*^9, 3.726500466808864*^9, 3.726502511139927*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Expand", "[", "%", "]"}], "/.", " ", 
  RowBox[{
   RowBox[{"conj", "[", "x_", "]"}], "\[Rule]", "x"}]}]], "Input",
 CellChangeTimes->{{3.726482643143907*^9, 3.726482648962942*^9}}],

Cell[BoxData[
 RowBox[{"Tr", "[", 
  RowBox[{"etf", ".", "etf"}], "]"}]], "Output",
 CellChangeTimes->{3.726482649330127*^9, 3.7264948001036663`*^9, 
  3.7264951207701387`*^9, 3.72649532852328*^9, 3.7264956773381166`*^9, 
  3.726499199733552*^9, 3.726499495776988*^9, 3.726500051629903*^9, 
  3.7265004670192432`*^9, 3.726502511315332*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"xiM", "/", 
      RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
     RowBox[{"conj", "[", "xi0", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "xiMM"}], ",", 
     RowBox[{
      RowBox[{"-", "xiM"}], "/", 
      RowBox[{"Sqrt", "[", "2", "]"}]}]}], "}"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.72649868573179*^9, 3.726498685732132*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["xiM", 
      SqrtBox["2"]], ",", 
     RowBox[{"conj", "[", "xi0", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "xiMM"}], ",", 
     RowBox[{"-", 
      FractionBox["xiM", 
       SqrtBox["2"]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.72649919982845*^9, 3.726499496054551*^9, 
  3.726500051719077*^9, 3.726500467224738*^9, 3.726502511485157*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AF", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"a", "[", "2", "]"}], "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
      RowBox[{"a", "[", "1", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "[", "3", "]"}], ",", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"a", "[", "2", "]"}]}], "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.726498572256289*^9, 3.726498572256666*^9}, {
   3.72649860333272*^9, 3.726498617521187*^9}, {3.726498694848164*^9, 
   3.726498724203928*^9}, 3.7264991344641533`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"a", "[", "2", "]"}], 
      SqrtBox["2"]], ",", 
     RowBox[{"a", "[", "1", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "[", "3", "]"}], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"a", "[", "2", "]"}], 
       SqrtBox["2"]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7264986178717537`*^9, 3.726498724765703*^9, {3.7264991999316473`*^9, 
   3.7264992003843737`*^9}, 3.7264994963387938`*^9, 3.726500051814147*^9, 
   3.7265004674373217`*^9, 3.72650251165232*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"BF", "=", 
   RowBox[{"AF", "/.", 
    RowBox[{"a", "\[Rule]", "b"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CF", "=", 
   RowBox[{"AF", "/.", 
    RowBox[{"a", "\[Rule]", "c"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DF", "=", 
   RowBox[{"AF", "/.", 
    RowBox[{"a", "\[Rule]", "d"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.72649872570996*^9, 3.7264987389271173`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv", "=", 
  RowBox[{"Tr", "[", 
   RowBox[{
    RowBox[{"Transpose", "[", "AF", "]"}], ".", "BF", ".", 
    RowBox[{"Transpose", "[", "CF", "]"}], ".", "DF"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.726498741217003*^9, 3.726498771282526*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", "1", "]"}], " ", 
         RowBox[{"b", "[", "1", "]"}]}], "+", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"a", "[", "2", "]"}], " ", 
         RowBox[{"b", "[", "2", "]"}]}]}], ")"}], " ", 
      RowBox[{"c", "[", "1", "]"}]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"a", "[", "1", "]"}], " ", 
           RowBox[{"b", "[", "2", "]"}]}], 
          SqrtBox["2"]], "-", 
         FractionBox[
          RowBox[{
           RowBox[{"a", "[", "2", "]"}], " ", 
           RowBox[{"b", "[", "3", "]"}]}], 
          SqrtBox["2"]]}], ")"}], " ", 
       RowBox[{"c", "[", "2", "]"}]}], 
      SqrtBox["2"]]}], ")"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"a", "[", "2", "]"}], " ", 
           RowBox[{"b", "[", "1", "]"}]}], 
          SqrtBox["2"]], "-", 
         FractionBox[
          RowBox[{
           RowBox[{"a", "[", "3", "]"}], " ", 
           RowBox[{"b", "[", "2", "]"}]}], 
          SqrtBox["2"]]}], ")"}], " ", 
       RowBox[{"c", "[", "1", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], " ", 
           RowBox[{"a", "[", "2", "]"}], " ", 
           RowBox[{"b", "[", "2", "]"}]}], "+", 
          RowBox[{
           RowBox[{"a", "[", "3", "]"}], " ", 
           RowBox[{"b", "[", "3", "]"}]}]}], ")"}], " ", 
        RowBox[{"c", "[", "2", "]"}]}], 
       SqrtBox["2"]]}], ")"}], " ", 
    RowBox[{"d", "[", "2", "]"}]}], 
   SqrtBox["2"]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"a", "[", "1", "]"}], " ", 
            RowBox[{"b", "[", "1", "]"}]}], "+", 
           RowBox[{
            FractionBox["1", "2"], " ", 
            RowBox[{"a", "[", "2", "]"}], " ", 
            RowBox[{"b", "[", "2", "]"}]}]}], ")"}], " ", 
         RowBox[{"c", "[", "2", "]"}]}], 
        SqrtBox["2"]]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"a", "[", "1", "]"}], " ", 
           RowBox[{"b", "[", "2", "]"}]}], 
          SqrtBox["2"]], "-", 
         FractionBox[
          RowBox[{
           RowBox[{"a", "[", "2", "]"}], " ", 
           RowBox[{"b", "[", "3", "]"}]}], 
          SqrtBox["2"]]}], ")"}], " ", 
       RowBox[{"c", "[", "3", "]"}]}]}], ")"}], " ", 
    RowBox[{"d", "[", "2", "]"}]}], 
   SqrtBox["2"]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"a", "[", "2", "]"}], " ", 
            RowBox[{"b", "[", "1", "]"}]}], 
           SqrtBox["2"]], "-", 
          FractionBox[
           RowBox[{
            RowBox[{"a", "[", "3", "]"}], " ", 
            RowBox[{"b", "[", "2", "]"}]}], 
           SqrtBox["2"]]}], ")"}], " ", 
        RowBox[{"c", "[", "2", "]"}]}], 
       SqrtBox["2"]]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"a", "[", "2", "]"}], " ", 
         RowBox[{"b", "[", "2", "]"}]}], "+", 
        RowBox[{
         RowBox[{"a", "[", "3", "]"}], " ", 
         RowBox[{"b", "[", "3", "]"}]}]}], ")"}], " ", 
      RowBox[{"c", "[", "3", "]"}]}]}], ")"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}]}]], "Output",
 CellChangeTimes->{{3.7264987561400747`*^9, 3.726498771661005*^9}, {
   3.726499200095724*^9, 3.72649920066602*^9}, 3.726499496753847*^9, 
   3.726500051960288*^9, 3.726500468029593*^9, 3.726502511829269*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv3333", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{"inv", ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.72649878188186*^9, 3.726498782124214*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["1", "2"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox["1", "2"]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["1", "2"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox["1", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["1", "2"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "2"]}], ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox["1", "2"]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox["1", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox["1", "2"], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.726498783021894*^9, {3.726499200212641*^9, 3.726499200834148*^9}, 
   3.726499497036373*^9, 3.726500052051957*^9, 3.726500468235186*^9, 
   3.7265025120125713`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{"etfA", ".", "etfB"}], "]"}], " ", "//", "Expand"}]], "Input",
 CellChangeTimes->{{3.72650110728199*^9, 3.7265011106377707`*^9}, {
  3.7265011444020767`*^9, 3.726501145181691*^9}, {3.726501196543848*^9, 
  3.726501199175795*^9}, {3.7265028578092537`*^9, 3.7265028586370564`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"2", " ", 
   RowBox[{"a", "[", "1", "]"}], " ", 
   RowBox[{"b", "[", "1", "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"a", "[", "2", "]"}], " ", 
   RowBox[{"b", "[", "2", "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"a", "[", "3", "]"}], " ", 
   RowBox[{"b", "[", "3", "]"}]}]}]], "Output",
 CellChangeTimes->{3.726501110966385*^9, 3.726501145478479*^9, 
  3.726501199613523*^9, 3.72650251202474*^9, 3.7265028589839*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{"etfC", ".", "DF"}], "]"}], " ", "//", "Expand"}]], "Input",
 CellChangeTimes->{{3.7265012079730186`*^9, 3.726501212393187*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "+", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "+", 
  RowBox[{
   SqrtBox["2"], " ", 
   RowBox[{"c", "[", "3", "]"}], " ", 
   RowBox[{"d", "[", "2", "]"}]}], "+", 
  RowBox[{
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}], "-", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}]}]], "Output",
 CellChangeTimes->{3.726501212661175*^9, 3.726502512184907*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv", "=", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", "AF", "]"}], ".", "etfB"}], "]"}], " ", 
   RowBox[{"Tr", "[", 
    RowBox[{"etfC", ".", "DF"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.726500675412071*^9, 3.726500703797393*^9}, {
  3.7265007421632843`*^9, 3.7265007562368517`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"a", "[", "1", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"b", "[", "1", "]"}], "-", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"b", "[", "2", "]"}]}]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"a", "[", "3", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"b", "[", "1", "]"}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"b", "[", "2", "]"}]}]}], ")"}]}], "+", 
    RowBox[{
     SqrtBox["2"], " ", 
     RowBox[{"a", "[", "2", "]"}], " ", 
     RowBox[{"b", "[", "3", "]"}]}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"c", "[", "1", "]"}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"c", "[", "2", "]"}]}]}], ")"}], " ", 
     RowBox[{"d", "[", "1", "]"}]}], "+", 
    RowBox[{
     SqrtBox["2"], " ", 
     RowBox[{"c", "[", "3", "]"}], " ", 
     RowBox[{"d", "[", "2", "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"c", "[", "1", "]"}], "-", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"c", "[", "2", "]"}]}]}], ")"}], " ", 
     RowBox[{"d", "[", "3", "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.726500704117765*^9, {3.726500749369286*^9, 3.726500756732197*^9}, 
   3.726500960682386*^9, 3.726502512362198*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", "inv", "]"}]], "Input",
 CellChangeTimes->{{3.7265009620806017`*^9, 3.726500968488513*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "1", "]"}], " ", 
   RowBox[{"b", "[", "1", "]"}], " ", 
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "+", 
  RowBox[{
   RowBox[{"a", "[", "3", "]"}], " ", 
   RowBox[{"b", "[", "1", "]"}], " ", 
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "-", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"a", "[", "1", "]"}], " ", 
   RowBox[{"b", "[", "2", "]"}], " ", 
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "+", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"a", "[", "3", "]"}], " ", 
   RowBox[{"b", "[", "2", "]"}], " ", 
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "+", 
  RowBox[{
   SqrtBox["2"], " ", 
   RowBox[{"a", "[", "2", "]"}], " ", 
   RowBox[{"b", "[", "3", "]"}], " ", 
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "+", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"a", "[", "1", "]"}], " ", 
   RowBox[{"b", "[", "1", "]"}], " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "+", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"a", "[", "3", "]"}], " ", 
   RowBox[{"b", "[", "1", "]"}], " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "+", 
  RowBox[{
   RowBox[{"a", "[", "1", "]"}], " ", 
   RowBox[{"b", "[", "2", "]"}], " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "-", 
  RowBox[{
   RowBox[{"a", "[", "3", "]"}], " ", 
   RowBox[{"b", "[", "2", "]"}], " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "+", 
  RowBox[{"\[ImaginaryI]", " ", 
   SqrtBox["2"], " ", 
   RowBox[{"a", "[", "2", "]"}], " ", 
   RowBox[{"b", "[", "3", "]"}], " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "1", "]"}]}], "+", 
  RowBox[{
   SqrtBox["2"], " ", 
   RowBox[{"a", "[", "1", "]"}], " ", 
   RowBox[{"b", "[", "1", "]"}], " ", 
   RowBox[{"c", "[", "3", "]"}], " ", 
   RowBox[{"d", "[", "2", "]"}]}], "+", 
  RowBox[{
   SqrtBox["2"], " ", 
   RowBox[{"a", "[", "3", "]"}], " ", 
   RowBox[{"b", "[", "1", "]"}], " ", 
   RowBox[{"c", "[", "3", "]"}], " ", 
   RowBox[{"d", "[", "2", "]"}]}], "-", 
  RowBox[{"\[ImaginaryI]", " ", 
   SqrtBox["2"], " ", 
   RowBox[{"a", "[", "1", "]"}], " ", 
   RowBox[{"b", "[", "2", "]"}], " ", 
   RowBox[{"c", "[", "3", "]"}], " ", 
   RowBox[{"d", "[", "2", "]"}]}], "+", 
  RowBox[{"\[ImaginaryI]", " ", 
   SqrtBox["2"], " ", 
   RowBox[{"a", "[", "3", "]"}], " ", 
   RowBox[{"b", "[", "2", "]"}], " ", 
   RowBox[{"c", "[", "3", "]"}], " ", 
   RowBox[{"d", "[", "2", "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"a", "[", "2", "]"}], " ", 
   RowBox[{"b", "[", "3", "]"}], " ", 
   RowBox[{"c", "[", "3", "]"}], " ", 
   RowBox[{"d", "[", "2", "]"}]}], "+", 
  RowBox[{
   RowBox[{"a", "[", "1", "]"}], " ", 
   RowBox[{"b", "[", "1", "]"}], " ", 
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}], "+", 
  RowBox[{
   RowBox[{"a", "[", "3", "]"}], " ", 
   RowBox[{"b", "[", "1", "]"}], " ", 
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}], "-", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"a", "[", "1", "]"}], " ", 
   RowBox[{"b", "[", "2", "]"}], " ", 
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}], "+", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"a", "[", "3", "]"}], " ", 
   RowBox[{"b", "[", "2", "]"}], " ", 
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}], "+", 
  RowBox[{
   SqrtBox["2"], " ", 
   RowBox[{"a", "[", "2", "]"}], " ", 
   RowBox[{"b", "[", "3", "]"}], " ", 
   RowBox[{"c", "[", "1", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}], "-", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"a", "[", "1", "]"}], " ", 
   RowBox[{"b", "[", "1", "]"}], " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}], "-", 
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"a", "[", "3", "]"}], " ", 
   RowBox[{"b", "[", "1", "]"}], " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}], "-", 
  RowBox[{
   RowBox[{"a", "[", "1", "]"}], " ", 
   RowBox[{"b", "[", "2", "]"}], " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}], "+", 
  RowBox[{
   RowBox[{"a", "[", "3", "]"}], " ", 
   RowBox[{"b", "[", "2", "]"}], " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}], "-", 
  RowBox[{"\[ImaginaryI]", " ", 
   SqrtBox["2"], " ", 
   RowBox[{"a", "[", "2", "]"}], " ", 
   RowBox[{"b", "[", "3", "]"}], " ", 
   RowBox[{"c", "[", "2", "]"}], " ", 
   RowBox[{"d", "[", "3", "]"}]}]}]], "Output",
 CellChangeTimes->{3.726500968993828*^9, 3.726502512534976*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"inv3333", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{"inv", ",", 
            RowBox[{"a", "[", "i", "]"}]}], "]"}], ",", 
          RowBox[{"b", "[", "j", "]"}]}], "]"}], ",", 
        RowBox[{"c", "[", "k", "]"}]}], "]"}], ",", 
      RowBox[{"d", "[", "l", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"l", ",", "1", ",", "3"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ImaginaryI]", ",", "0", ",", 
         RowBox[{"-", "\[ImaginaryI]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         SqrtBox["2"], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], ",", "0", ",", 
         RowBox[{"-", "\[ImaginaryI]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", 
          SqrtBox["2"]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SqrtBox["2"], ",", "0", ",", 
         SqrtBox["2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[ImaginaryI]", " ", 
          SqrtBox["2"]}], ",", "0", ",", 
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", 
          SqrtBox["2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ImaginaryI]", ",", "0", ",", 
         RowBox[{"-", "\[ImaginaryI]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         SqrtBox["2"], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ImaginaryI]", ",", "0", ",", "\[ImaginaryI]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"\[ImaginaryI]", " ", 
          SqrtBox["2"]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7265007121841383`*^9, 3.726500759390705*^9, 
  3.7265025127268543`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"??", "RepMatrices"}]], "Input",
 CellChangeTimes->{{3.7265017152292767`*^9, 3.7265017212833347`*^9}, 
   3.726501818726798*^9}],

Cell[CellGroupData[{

Cell["Susyno`LieGroups`RepMatrices", "Print", "PrintUsage",
 CellChangeTimes->{3.726502512953804*^9},
 CellTags->"Info863726506112-8386947"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {GridBox[{
       {
        RowBox[{
         RowBox[{"RepMatrices", "[", "input__", "]"}], ":=", 
         RowBox[{
          RowBox[{"RepMatrices", "[", "input", "]"}], "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Depth", "[", 
              RowBox[{"{", "input", "}"}], "]"}], "\[Equal]", "4"}], ",", 
            RowBox[{"Return", "[", 
             RowBox[{"RepMatricesBaseMethod", "[", "input", "]"}], "]"}], ",", 
            RowBox[{"Return", "[", 
             RowBox[{"Apply", "[", 
              RowBox[{"RepMatricesBaseMethod", ",", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", "input", "}"}], "]"}], ",", 
               RowBox[{"{", "1", "}"}]}], "]"}], "]"}]}], "]"}]}]}]}
      },
      BaselinePosition->{Baseline, {1, 1}},
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{"Columns" -> {{
           Scaled[0.999]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[Susyno`LieGroups`RepMatrices],
  Editable->False]], "Print",
 CellChangeTimes->{3.7265025129651537`*^9},
 CellTags->"Info863726506112-8386947"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RepMatrices", "[", 
   RowBox[{"SU2", ",", 
    RowBox[{"{", "2", "}"}]}], "]"}], " ", "//", "Normal"}]], "Input",
 CellChangeTimes->{{3.72650173259978*^9, 3.726501748912138*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", 
        SqrtBox["2"]], ",", "0", ",", 
       FractionBox["1", 
        SqrtBox["2"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", 
        SqrtBox["2"]], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", 
        FractionBox["\[ImaginaryI]", 
         SqrtBox["2"]]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]], ",", "0", ",", 
       RowBox[{"-", 
        FractionBox["\[ImaginaryI]", 
         SqrtBox["2"]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.726501740154079*^9, 3.726501749298258*^9}, 
   3.726502513123103*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RepMatrices", "[", 
   RowBox[{"SU2", ",", 
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"Conjugations", "\[Rule]", "False"}]}], "]"}], " ", "//", 
  "Normal"}]], "Input",
 CellChangeTimes->{{3.726501755084641*^9, 3.7265017758088512`*^9}}],

Cell[BoxData[
 RowBox[{"RepMatricesBaseMethod", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", "2", "}"}], "}"}], ",", 
   RowBox[{"{", "2", "}"}], ",", 
   RowBox[{"Conjugations", "\[Rule]", "False"}]}], "]"}]], "Output",
 CellChangeTimes->{{3.7265017561589737`*^9, 3.7265017761178293`*^9}, 
   3.726502513136986*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "RepMatricesBaseMethod"}]], "Input",
 CellChangeTimes->{3.726501789707509*^9}],

Cell[CellGroupData[{

Cell["Susyno`LieGroups`RepMatricesBaseMethod", "Print", "PrintUsage",
 CellChangeTimes->{3.726502513299444*^9},
 CellTags->"Info893726506113-8386947"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {GridBox[{
       {
        RowBox[{
         RowBox[{"RepMatricesBaseMethod", "[", 
          RowBox[{"cm_", ",", "maxW_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
            "listE", ",", "listF", ",", "listH", ",", "listTotal", ",", "n", 
             ",", "pRoots", ",", "sR", ",", "dimG", ",", "dimR", ",", "rep", 
             ",", "matrixCholesky", ",", "aux", ",", "j"}], "}"}], ",", 
           RowBox[{
            RowBox[{"n", "=", 
             RowBox[{"Length", "[", "cm", "]"}]}], ";", 
            RowBox[{"pRoots", "=", 
             RowBox[{"PositiveRoots", "[", "cm", "]"}]}], ";", 
            RowBox[{"rep", "=", 
             RowBox[{"RepMinimalMatrices", "[", 
              RowBox[{"cm", ",", "maxW"}], "]"}]}], ";", 
            RowBox[{"listE", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{"rep", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "1"}], "\[RightDoubleBracket]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";", 
            RowBox[{"listF", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{"rep", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "2"}], "\[RightDoubleBracket]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";", 
            RowBox[{"listH", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{"rep", "\[LeftDoubleBracket]", 
                 RowBox[{"i", ",", "3"}], "\[RightDoubleBracket]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";", 
            RowBox[{"dimG", "=", 
             RowBox[{
              RowBox[{"2", " ", 
               RowBox[{"Length", "[", "pRoots", "]"}]}], "+", 
              RowBox[{"Length", "[", "cm", "]"}]}]}], ";", 
            RowBox[{"dimR", "=", 
             RowBox[{"DimR", "[", 
              RowBox[{"cm", ",", "maxW"}], "]"}]}], ";", 
            RowBox[{"sR", "=", 
             FractionBox[
              RowBox[{
               RowBox[{"Casimir", "[", 
                RowBox[{"cm", ",", "maxW"}], "]"}], " ", "dimR"}], "dimG"]}], 
            ";", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"dimR", "\[Equal]", "1"}], ",", 
              RowBox[{
               RowBox[{"listTotal", "=", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{
                  "listE", "\[LeftDoubleBracket]", "1", 
                   "\[RightDoubleBracket]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "dimG"}], "}"}]}], "]"}]}], ";", 
               RowBox[{"Goto", "[", "end", "]"}], ";"}]}], "]"}], ";", 
            RowBox[{"Do", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"j", "=", "1"}], ";", 
               RowBox[{"While", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"aux", "=", 
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"pRoots", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ";;", "i"}], "\[RightDoubleBracket]"}], ",", 
                    
                    RowBox[{
                    RowBox[{
                    "pRoots", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "pRoots", "\[LeftDoubleBracket]", "j", 
                    "\[RightDoubleBracket]"}]}]}], "]"}]}], ")"}], "\[Equal]", 
                  RowBox[{"{", "}"}]}], ",", 
                 RowBox[{"j", "++"}]}], "]"}], ";", 
               RowBox[{"listE", "=", 
                RowBox[{"Append", "[", 
                 RowBox[{"listE", ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"listE", "\[LeftDoubleBracket]", 
                    RowBox[{"aux", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "\[RightDoubleBracket]"}], ".", 
                    RowBox[{
                    "listE", "\[LeftDoubleBracket]", "j", 
                    "\[RightDoubleBracket]"}]}], "-", 
                   RowBox[{
                    RowBox[{
                    "listE", "\[LeftDoubleBracket]", "j", 
                    "\[RightDoubleBracket]"}], ".", 
                    RowBox[{"listE", "\[LeftDoubleBracket]", 
                    RowBox[{"aux", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "\[RightDoubleBracket]"}]}]}]}], "]"}]}], ";", 
               RowBox[{"listF", "=", 
                RowBox[{"Append", "[", 
                 RowBox[{"listF", ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"listF", "\[LeftDoubleBracket]", 
                    RowBox[{"aux", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "\[RightDoubleBracket]"}], ".", 
                    RowBox[{
                    "listF", "\[LeftDoubleBracket]", "j", 
                    "\[RightDoubleBracket]"}]}], "-", 
                   RowBox[{
                    RowBox[{
                    "listF", "\[LeftDoubleBracket]", "j", 
                    "\[RightDoubleBracket]"}], ".", 
                    RowBox[{"listF", "\[LeftDoubleBracket]", 
                    RowBox[{"aux", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "\[RightDoubleBracket]"}]}]}]}], "]"}]}], ";"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", 
                RowBox[{"n", "+", "1"}], ",", 
                RowBox[{"Length", "[", "pRoots", "]"}]}], "}"}]}], "]"}], ";", 
            RowBox[{"Do", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"aux", "=", 
                RowBox[{
                "listE", "\[LeftDoubleBracket]", "i", 
                 "\[RightDoubleBracket]"}]}], ";", 
               RowBox[{
                RowBox[{
                "listE", "\[LeftDoubleBracket]", "i", 
                 "\[RightDoubleBracket]"}], "=", 
                RowBox[{
                 RowBox[{
                 "listE", "\[LeftDoubleBracket]", "i", 
                  "\[RightDoubleBracket]"}], "+", 
                 RowBox[{
                 "listF", "\[LeftDoubleBracket]", "i", 
                  "\[RightDoubleBracket]"}]}]}], ";", 
               RowBox[{
                RowBox[{
                "listF", "\[LeftDoubleBracket]", "i", 
                 "\[RightDoubleBracket]"}], "=", 
                RowBox[{"aux", "-", 
                 RowBox[{
                 "listF", "\[LeftDoubleBracket]", "i", 
                  "\[RightDoubleBracket]"}]}]}], ";", 
               RowBox[{
                RowBox[{
                "listE", "\[LeftDoubleBracket]", "i", 
                 "\[RightDoubleBracket]"}], "=", 
                RowBox[{"SparseArray", "[", 
                 RowBox[{
                  RowBox[{"Simplify", "[", 
                   FractionBox[
                    SqrtBox["sR"], 
                    SqrtBox[
                    RowBox[{"Tr", "[", 
                    RowBox[{
                    RowBox[{
                    "listE", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], ".", 
                    RowBox[{
                    "listE", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}]}], "]"}]]], "]"}], " ", 
                  RowBox[{
                  "listE", "\[LeftDoubleBracket]", "i", 
                   "\[RightDoubleBracket]"}]}], "]"}]}], ";", 
               RowBox[{
                RowBox[{
                "listF", "\[LeftDoubleBracket]", "i", 
                 "\[RightDoubleBracket]"}], "=", 
                RowBox[{"SparseArray", "[", 
                 RowBox[{
                  RowBox[{"Simplify", "[", 
                   FractionBox[
                    SqrtBox["sR"], 
                    SqrtBox[
                    RowBox[{"Tr", "[", 
                    RowBox[{
                    RowBox[{
                    "listF", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], ".", 
                    RowBox[{
                    "listF", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}]}], "]"}]]], "]"}], " ", 
                  RowBox[{
                  "listF", "\[LeftDoubleBracket]", "i", 
                   "\[RightDoubleBracket]"}]}], "]"}]}], ";"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", 
                RowBox[{"Length", "[", "listE", "]"}]}], "}"}]}], "]"}], ";", 
            
            RowBox[{"matrixCholesky", "=", 
             RowBox[{
              RowBox[{"Inverse", "[", "cm", "]"}], ".", 
              RowBox[{"MatrixD", "[", "cm", "]"}]}]}], ";", 
            RowBox[{"aux", "=", 
             RowBox[{"Simplify", "[", 
              RowBox[{"CholeskyDecomposition", "[", "matrixCholesky", "]"}], 
              "]"}]}], ";", 
            RowBox[{"listH", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", "j", "n"], 
                 RowBox[{
                  RowBox[{"aux", "\[LeftDoubleBracket]", 
                   RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}], " ", 
                  RowBox[{
                  "listH", "\[LeftDoubleBracket]", "j", 
                   "\[RightDoubleBracket]"}]}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";", 
            RowBox[{"listH", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{
                 RowBox[{"Simplify", "[", 
                  FractionBox[
                   SqrtBox["sR"], 
                   SqrtBox[
                    RowBox[{"Tr", "[", 
                    RowBox[{
                    RowBox[{
                    "listH", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], ".", 
                    RowBox[{
                    "listH", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}]}], "]"}]]], "]"}], " ", 
                 RowBox[{
                 "listH", "\[LeftDoubleBracket]", "i", 
                  "\[RightDoubleBracket]"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";", 
            RowBox[{"listTotal", "=", 
             RowBox[{"Join", "[", 
              RowBox[{"listE", ",", "listF", ",", "listH"}], "]"}]}], ";", 
            RowBox[{"listTotal", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"SparseArray", "[", 
                RowBox[{
                 RowBox[{"Simplify", "[", 
                  RowBox[{"ArrayRules", "[", 
                   RowBox[{
                   "listTotal", "\[LeftDoubleBracket]", "i", 
                    "\[RightDoubleBracket]"}], "]"}], "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"dimR", ",", "dimR"}], "}"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", 
                 RowBox[{"Length", "[", "listTotal", "]"}]}], "}"}]}], 
              "]"}]}], ";", 
            RowBox[{"Label", "[", "end", "]"}], ";", 
            RowBox[{"Return", "[", "listTotal", "]"}], ";"}]}], "]"}]}]}
      },
      BaselinePosition->{Baseline, {1, 1}},
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{"Columns" -> {{
           Scaled[0.999]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[Susyno`LieGroups`RepMatricesBaseMethod],
  Editable->False]], "Print",
 CellChangeTimes->{3.726502513353166*^9},
 CellTags->"Info893726506113-8386947"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1920, 1027},
WindowMargins->{{557, -557}, {-72, 98}},
FrontEndVersion->"11.0 for Linux x86 (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info863726506112-8386947"->{
  Cell[344703, 8641, 140, 2, 42, "Print",
   CellTags->"Info863726506112-8386947"],
  Cell[344846, 8645, 1476, 37, 24, "Print",
   CellTags->"Info863726506112-8386947"]},
 "Info893726506113-8386947"->{
  Cell[348786, 8775, 150, 2, 42, "Print",
   CellTags->"Info893726506113-8386947"],
  Cell[348939, 8779, 12739, 296, 661, "Print",
   CellTags->"Info893726506113-8386947"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info863726506112-8386947", 361998, 9089},
 {"Info893726506113-8386947", 362200, 9094}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 126, 2, 30, "Input"],
Cell[CellGroupData[{
Cell[731, 28, 928, 23, 24, "Print"],
Cell[1662, 53, 502, 9, 24, "Print"],
Cell[2167, 64, 596, 13, 23, "Print"],
Cell[2766, 79, 480, 9, 22, "Print"],
Cell[3249, 90, 587, 13, 24, "Print"],
Cell[3839, 105, 550, 10, 24, "Print"],
Cell[4392, 117, 548, 10, 24, "Print"],
Cell[4943, 129, 550, 10, 24, "Print"],
Cell[5496, 141, 550, 10, 24, "Print"],
Cell[6049, 153, 603, 13, 24, "Print"],
Cell[6655, 168, 507, 9, 24, "Print"],
Cell[7165, 179, 480, 9, 22, "Print"],
Cell[7648, 190, 513, 9, 22, "Print"],
Cell[8164, 201, 607, 13, 25, "Print"],
Cell[8774, 216, 542, 10, 24, "Print"],
Cell[9319, 228, 850, 19, 24, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10218, 253, 132, 2, 30, "Input"],
Cell[10353, 257, 856, 12, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11246, 274, 276, 4, 33, "Input"],
Cell[CellGroupData[{
Cell[11547, 282, 1136, 16, 24, "Print"],
Cell[12686, 300, 1405, 24, 24, "Print"],
Cell[14094, 326, 1239, 20, 23, "Print"],
Cell[15336, 348, 1406, 25, 22, "Print"],
Cell[16745, 375, 1416, 25, 22, "Print"],
Cell[18164, 402, 1422, 25, 22, "Print"],
Cell[19589, 429, 1177, 17, 22, "Print"],
Cell[20769, 448, 1535, 27, 24, "Print"],
Cell[22307, 477, 1172, 17, 24, "Print"],
Cell[23482, 496, 1480, 26, 24, "Print"],
Cell[24965, 524, 1178, 17, 22, "Print"],
Cell[26146, 543, 1232, 20, 23, "Print"],
Cell[27381, 565, 1409, 23, 24, "Print"],
Cell[28793, 590, 1404, 23, 24, "Print"],
Cell[30200, 615, 1390, 23, 22, "Print"],
Cell[31593, 640, 1428, 24, 24, "Print"],
Cell[33024, 666, 1411, 23, 24, "Print"],
Cell[34438, 691, 1235, 20, 23, "Print"],
Cell[35676, 713, 1143, 16, 22, "Print"],
Cell[36822, 731, 1731, 28, 22, "Print"],
Cell[38556, 761, 1737, 28, 22, "Print"],
Cell[40296, 791, 1739, 28, 22, "Print"],
Cell[42038, 821, 1734, 28, 24, "Print"],
Cell[43775, 851, 1134, 16, 22, "Print"],
Cell[44912, 869, 1144, 16, 24, "Print"],
Cell[46059, 887, 1120, 16, 22, "Print"],
Cell[47182, 905, 1237, 20, 23, "Print"],
Cell[48422, 927, 1152, 16, 24, "Print"],
Cell[49577, 945, 5236, 101, 63, "Print"],
Cell[54816, 1048, 14259, 281, 163, "Print"],
Cell[69078, 1331, 1480, 26, 24, "Print"],
Cell[70561, 1359, 1142, 16, 24, "Print"],
Cell[71706, 1377, 1807, 33, 24, "Print"],
Cell[73516, 1412, 1154, 16, 22, "Print"],
Cell[74673, 1430, 1149, 16, 24, "Print"],
Cell[75825, 1448, 1466, 25, 22, "Print"],
Cell[77294, 1475, 1120, 16, 22, "Print"],
Cell[78417, 1493, 1237, 20, 23, "Print"],
Cell[79657, 1515, 1144, 16, 24, "Print"],
Cell[80804, 1533, 1834, 36, 24, "Print"],
Cell[82641, 1571, 1803, 32, 24, "Print"],
Cell[84447, 1605, 1850, 36, 24, "Print"],
Cell[86300, 1643, 1482, 26, 24, "Print"],
Cell[87785, 1671, 1140, 16, 24, "Print"],
Cell[88928, 1689, 1793, 33, 24, "Print"],
Cell[90724, 1724, 1153, 16, 22, "Print"],
Cell[91880, 1742, 1149, 16, 24, "Print"],
Cell[93032, 1760, 4363, 72, 22, "Print"],
Cell[97398, 1834, 1856, 36, 24, "Print"],
Cell[99257, 1872, 1147, 16, 24, "Print"],
Cell[100407, 1890, 1460, 25, 22, "Print"],
Cell[101870, 1917, 1120, 16, 22, "Print"],
Cell[102993, 1935, 1225, 20, 23, "Print"],
Cell[104221, 1957, 1145, 16, 24, "Print"],
Cell[105369, 1975, 1131, 16, 24, "Print"],
Cell[106503, 1993, 1148, 16, 24, "Print"],
Cell[107654, 2011, 1158, 16, 24, "Print"],
Cell[108815, 2029, 1481, 24, 24, "Print"],
Cell[110299, 2055, 1149, 16, 24, "Print"],
Cell[111451, 2073, 1156, 16, 24, "Print"],
Cell[112610, 2091, 1445, 24, 24, "Print"],
Cell[114058, 2117, 1169, 17, 24, "Print"],
Cell[115230, 2136, 1152, 16, 24, "Print"],
Cell[116385, 2154, 1156, 16, 24, "Print"],
Cell[117544, 2172, 1122, 16, 22, "Print"],
Cell[118669, 2190, 1319, 21, 24, "Print"],
Cell[119991, 2213, 1320, 21, 22, "Print"],
Cell[121314, 2236, 1122, 16, 22, "Print"],
Cell[122439, 2254, 1120, 16, 22, "Print"],
Cell[123562, 2272, 1482, 26, 24, "Print"]
}, Open  ]]
}, Open  ]],
Cell[125071, 2302, 1759, 55, 65, "Input"],
Cell[CellGroupData[{
Cell[126855, 2361, 166, 3, 32, "Input"],
Cell[CellGroupData[{
Cell[127046, 2368, 605, 13, 23, "Print"],
Cell[127654, 2383, 503, 9, 24, "Print"],
Cell[128160, 2394, 902, 20, 24, "Print"],
Cell[129065, 2416, 902, 20, 24, "Print"],
Cell[129970, 2438, 938, 21, 24, "Print"],
Cell[130911, 2461, 588, 13, 23, "Print"],
Cell[131502, 2476, 752, 16, 22, "Print"],
Cell[132257, 2494, 586, 13, 23, "Print"],
Cell[132846, 2509, 752, 16, 22, "Print"],
Cell[133601, 2527, 587, 13, 23, "Print"],
Cell[134191, 2542, 491, 9, 24, "Print"],
Cell[134685, 2553, 586, 13, 23, "Print"],
Cell[135274, 2568, 491, 9, 24, "Print"],
Cell[135768, 2579, 584, 13, 23, "Print"],
Cell[136355, 2594, 491, 9, 24, "Print"],
Cell[136849, 2605, 737, 15, 24, "Print"],
Cell[137589, 2622, 476, 9, 22, "Print"],
Cell[138068, 2633, 509, 9, 22, "Print"],
Cell[138580, 2644, 616, 13, 23, "Print"],
Cell[139199, 2659, 1133, 25, 24, "Print"],
Cell[140335, 2686, 613, 13, 23, "Print"],
Cell[140951, 2701, 1129, 25, 24, "Print"],
Cell[142083, 2728, 609, 13, 25, "Print"],
Cell[142695, 2743, 1141, 25, 24, "Print"],
Cell[143839, 2770, 614, 13, 23, "Print"],
Cell[144456, 2785, 1129, 25, 24, "Print"],
Cell[145588, 2812, 629, 14, 23, "Print"],
Cell[146220, 2828, 1129, 25, 24, "Print"],
Cell[147352, 2855, 632, 14, 23, "Print"],
Cell[147987, 2871, 493, 9, 24, "Print"],
Cell[148483, 2882, 632, 14, 23, "Print"],
Cell[149118, 2898, 1136, 25, 24, "Print"],
Cell[150257, 2925, 632, 14, 23, "Print"],
Cell[150892, 2941, 1129, 25, 24, "Print"],
Cell[152024, 2968, 631, 14, 23, "Print"],
Cell[152658, 2984, 1129, 25, 24, "Print"],
Cell[153790, 3011, 605, 13, 23, "Print"],
Cell[154398, 3026, 1129, 25, 24, "Print"],
Cell[155530, 3053, 517, 9, 24, "Print"],
Cell[156050, 3064, 476, 9, 22, "Print"],
Cell[156529, 3075, 749, 15, 22, "Print"],
Cell[157281, 3092, 909, 21, 22, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[158239, 3119, 101, 1, 32, "Input"],
Cell[158343, 3122, 12196, 319, 462, "Output"]
}, Open  ]],
Cell[170554, 3444, 9389, 299, 417, "Input"],
Cell[179946, 3745, 131, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[180102, 3751, 1395, 35, 56, "Input"],
Cell[181500, 3788, 3282, 87, 105, "Output"],
Cell[184785, 3877, 865, 13, 30, "Output"]
}, Open  ]],
Cell[185665, 3893, 181, 3, 32, "Input"],
Cell[CellGroupData[{
Cell[185871, 3900, 1362, 35, 56, "Input"],
Cell[187236, 3937, 3307, 80, 105, "Output"],
Cell[190546, 4019, 808, 12, 30, "Output"]
}, Open  ]],
Cell[191369, 4034, 130, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[191524, 4040, 1262, 33, 56, "Input"],
Cell[192789, 4075, 2482, 60, 105, "Output"],
Cell[195274, 4137, 789, 12, 30, "Output"]
}, Open  ]],
Cell[196078, 4152, 130, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[196233, 4158, 1334, 36, 56, "Input"],
Cell[197570, 4196, 2532, 59, 105, "Output"],
Cell[200105, 4257, 949, 18, 56, "Output"]
}, Open  ]],
Cell[201069, 4278, 181, 3, 32, "Input"],
Cell[CellGroupData[{
Cell[201275, 4285, 1276, 34, 56, "Input"],
Cell[202554, 4321, 2100, 47, 105, "Output"],
Cell[204657, 4370, 667, 9, 30, "Output"]
}, Open  ]],
Cell[205339, 4382, 129, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[205493, 4388, 1318, 35, 56, "Input"],
Cell[206814, 4425, 2502, 66, 105, "Output"],
Cell[209319, 4493, 613, 10, 34, "Output"]
}, Open  ]],
Cell[209947, 4506, 130, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[210102, 4512, 1266, 35, 56, "Input"],
Cell[211371, 4549, 1691, 44, 56, "Output"],
Cell[213065, 4595, 569, 10, 34, "Output"]
}, Open  ]],
Cell[213649, 4608, 129, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[213803, 4614, 1275, 36, 56, "Input"],
Cell[215081, 4652, 1533, 39, 56, "Output"],
Cell[216617, 4693, 641, 12, 56, "Output"]
}, Open  ]],
Cell[217273, 4708, 129, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[217427, 4714, 1267, 35, 56, "Input"],
Cell[218697, 4751, 2237, 53, 105, "Output"],
Cell[220937, 4806, 552, 10, 36, "Output"]
}, Open  ]],
Cell[221504, 4819, 132, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[221661, 4825, 1271, 35, 56, "Input"],
Cell[222935, 4862, 1728, 43, 56, "Output"],
Cell[224666, 4907, 677, 14, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[225380, 4926, 329, 8, 32, "Input"],
Cell[225712, 4936, 724, 17, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[226473, 4958, 505, 14, 35, "Input"],
Cell[226981, 4974, 9542, 284, 223, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[236560, 5263, 914, 26, 35, "Input"],
Cell[237477, 5291, 2973, 87, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[240487, 5383, 1072, 30, 35, "Input"],
Cell[241562, 5415, 3020, 89, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[244619, 5509, 996, 28, 35, "Input"],
Cell[245618, 5539, 3116, 93, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[248771, 5637, 558, 15, 35, "Input"],
Cell[249332, 5654, 4483, 135, 118, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[253852, 5794, 998, 28, 35, "Input"],
Cell[254853, 5824, 2107, 67, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[256997, 5896, 654, 16, 35, "Input"],
Cell[257654, 5914, 4552, 136, 118, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[262243, 6055, 998, 28, 35, "Input"],
Cell[263244, 6085, 2181, 68, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[265462, 6158, 610, 16, 35, "Input"],
Cell[266075, 6176, 4554, 137, 118, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[270666, 6318, 998, 28, 35, "Input"],
Cell[271667, 6348, 2157, 68, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[273861, 6421, 658, 16, 35, "Input"],
Cell[274522, 6439, 4531, 136, 118, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[279090, 6580, 998, 28, 35, "Input"],
Cell[280091, 6610, 2152, 68, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[282280, 6683, 604, 16, 35, "Input"],
Cell[282887, 6701, 9567, 284, 223, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[292491, 6990, 914, 26, 35, "Input"],
Cell[293408, 7018, 2991, 87, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[296436, 7110, 1072, 30, 35, "Input"],
Cell[297511, 7142, 3022, 89, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[300570, 7236, 996, 28, 35, "Input"],
Cell[301569, 7266, 3118, 93, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[304724, 7364, 291, 8, 32, "Input"],
Cell[305018, 7374, 591, 15, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[305646, 7394, 850, 25, 32, "Input"],
Cell[306499, 7421, 945, 26, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[307481, 7452, 351, 10, 35, "Input"],
Cell[307835, 7464, 626, 19, 32, "Output"]
}, Open  ]],
Cell[308476, 7486, 459, 13, 69, "Input"],
Cell[CellGroupData[{
Cell[308960, 7503, 204, 5, 32, "Input"],
Cell[309167, 7510, 6270, 190, 92, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[315474, 7705, 775, 23, 35, "Input"],
Cell[316252, 7730, 2953, 90, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[319242, 7825, 372, 11, 32, "Input"],
Cell[319617, 7838, 360, 6, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[320014, 7849, 216, 5, 33, "Input"],
Cell[320233, 7856, 339, 6, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[320609, 7867, 443, 14, 35, "Input"],
Cell[321055, 7883, 470, 15, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[321562, 7903, 668, 19, 32, "Input"],
Cell[322233, 7924, 619, 19, 56, "Output"]
}, Open  ]],
Cell[322867, 7946, 446, 13, 69, "Input"],
Cell[CellGroupData[{
Cell[323338, 7963, 270, 6, 32, "Input"],
Cell[323611, 7971, 4127, 134, 185, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[327775, 8110, 840, 24, 35, "Input"],
Cell[328618, 8136, 3296, 102, 94, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[331951, 8243, 336, 6, 32, "Input"],
Cell[332290, 8251, 463, 12, 65, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[332790, 8268, 185, 4, 32, "Input"],
Cell[332978, 8274, 616, 18, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[333631, 8297, 350, 9, 32, "Input"],
Cell[333984, 8308, 1391, 44, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[335412, 8357, 129, 2, 35, "Input"],
Cell[335544, 8361, 4777, 135, 82, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[340358, 8501, 775, 23, 35, "Input"],
Cell[341136, 8526, 3354, 103, 104, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[344527, 8634, 151, 3, 32, "Input"],
Cell[CellGroupData[{
Cell[344703, 8641, 140, 2, 42, "Print",
 CellTags->"Info863726506112-8386947"],
Cell[344846, 8645, 1476, 37, 24, "Print",
 CellTags->"Info863726506112-8386947"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[346371, 8688, 214, 5, 32, "Input"],
Cell[346588, 8695, 1392, 47, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[348017, 8747, 276, 7, 35, "Input"],
Cell[348296, 8756, 322, 8, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[348655, 8769, 106, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[348786, 8775, 150, 2, 42, "Print",
 CellTags->"Info893726506113-8386947"],
Cell[348939, 8779, 12739, 296, 661, "Print",
 CellTags->"Info893726506113-8386947"]
}, Open  ]]
}, Open  ]]
}
]
*)

